package com.lyms.talkonlineweb.config;

import com.lyms.talkonlineweb.result.BaseResponse;
import lombok.extern.log4j.Log4j2;
import org.springframework.http.HttpRequest;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * 全局异常处理类
 */
@RestControllerAdvice
@Log4j2
public class GlobalExceptionHandler {

    @ExceptionHandler(value = Exception.class)
    @ResponseBody
    public BaseResponse exceptionHandler(Exception e){
        BaseResponse baseResponse=new BaseResponse();
        baseResponse.setErrorcode(1);
        baseResponse.setErrormsg("服务器内部错误:"+e.getMessage());
        log.error(e.getMessage());
        e.printStackTrace();
        return baseResponse;
    }
}
