package com.lyms.talkonlineweb.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.client.SimpleClientHttpRequestFactory;
import org.springframework.util.StringUtils;
import org.springframework.web.client.RestTemplate;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.net.InetSocketAddress;
import java.net.Proxy;
import java.net.SocketAddress;

@Configuration
public class MyWebConfig implements WebMvcConfigurer {

    @Value("${excludePath}")
    private String excludePath;

    @Value("${proxyIP}")
    private String proxyIP;

    @Value("${proxyPort}")
    private String proxyPort;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
//        WebMvcConfigurer.super.addInterceptors(registry);
        registry.addInterceptor(new MyWebInterceptor(excludePath));
    }

    @Override
    public void addCorsMappings(CorsRegistry registry) {
//        WebMvcConfigurer.super.addCorsMappings(registry);
//        registry.addMapping("/**")
//                .allowedOrigins("*")
//                .allowCredentials(true)
//                .allowedMethods("GET", "POST", "DELETE", "PUT","OPTIONS")
//                .maxAge(3600);
    }

    @Bean
    public RestTemplate restTemplate(){
        SimpleClientHttpRequestFactory httpRequestFactory=new SimpleClientHttpRequestFactory();
        if(!StringUtils.isEmpty(proxyIP)){
            SocketAddress address=new InetSocketAddress(proxyIP,Integer.parseInt(proxyPort));
            Proxy proxy=new Proxy(Proxy.Type.HTTP,address);
            httpRequestFactory.setProxy(proxy);
        }
      return new RestTemplate(httpRequestFactory);
    }
}
