package com.lyms.talkonlineweb.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.lyms.talkonlineweb.annotation.TokenRequired;
import com.lyms.talkonlineweb.domain.LymsComtstat;
import com.lyms.talkonlineweb.domain.LymsFavor;
import com.lyms.talkonlineweb.result.BaseResponse;
import com.lyms.talkonlineweb.service.LymsComtstatService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 消息常用语管理
 */
@RestController
@RequestMapping("com")
public class ComtStatController {

    @Autowired
    private LymsComtstatService lymsComtstatService;

    /**
     * 保存消息常用语
     * @param stat
     * @return
     */
    @PostMapping("saveStat")
    @TokenRequired
    public BaseResponse saveStat(LymsComtstat stat){
        BaseResponse baseResponse=new BaseResponse();
        boolean f=lymsComtstatService.saveOrUpdate(stat);
        baseResponse.setErrorcode(f==true?0:1);
        return baseResponse;
    }

    /**
     * 查询常用语句
     * @param stat
     * @return
     */
    @GetMapping("getStat")
    @TokenRequired
    public BaseResponse getStat(LymsComtstat stat){
        BaseResponse baseResponse=new BaseResponse();
        List<LymsComtstat> sLst =lymsComtstatService.list(Wrappers.query(stat));
        baseResponse.setObject(sLst);
        return baseResponse;
    }

    /**
     * 删除常用语
     * @param stat
     * @return
     */
    @GetMapping("delStat")
    @TokenRequired
    public BaseResponse delStat(LymsComtstat stat){
        BaseResponse baseResponse=new BaseResponse();
        boolean f=lymsComtstatService.remove(Wrappers.query(stat));
        baseResponse.setErrorcode(f==true?0:1);
        return baseResponse;
    }

}
