package com.lyms.talkonlineweb.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lyms.talkonlineweb.annotation.TokenRequired;
import com.lyms.talkonlineweb.domain.LymsLogsCrud;
import com.lyms.talkonlineweb.result.BaseResponse;
import com.lyms.talkonlineweb.service.LymsLogsCrudService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 医院管理
 */
@RestController
@RequestMapping("logs")
public class LymsLogsController {

    @Autowired
    private LymsLogsCrudService lymsLogsCrudService;
    /**
     * 获取logscrud记录
     *
     * @return
     */
    @GetMapping("logscrud")
    @TokenRequired
    public BaseResponse logscrud(LymsLogsCrud lymsLogsCrud, Integer current, Integer size){
        BaseResponse baseResponse=new BaseResponse();
        try {
            Page<LymsLogsCrud> page=new Page<>(null==current?1:current,null==size?20:size);
            Page<LymsLogsCrud> lymsLogsCrudPage=lymsLogsCrudService.page(page,Wrappers.query(lymsLogsCrud).orderByDesc("creatdata"));
            baseResponse.setObject(lymsLogsCrudPage);
            baseResponse.setErrormsg("成功");
        } catch (Exception e) {
            baseResponse.setErrormsg("失败");
            e.printStackTrace();
        }
        return baseResponse;
    }
}
