package com.lyms.talkonlineweb.controller;

import com.lyms.talkonlineweb.annotation.TokenRequired;
import com.lyms.talkonlineweb.domain.LymsHisInfo;
import com.lyms.talkonlineweb.domain.LymsNutrition;
import com.lyms.talkonlineweb.result.BaseResponse;
import com.lyms.talkonlineweb.service.LymsHisInfoService;
import com.lyms.talkonlineweb.service.LymsNutritionService;
import com.lyms.talkonlineweb.util.StringUtil;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("nutritionManagement")
@Log4j2
public class NutritionManagementController {

    @Autowired
    private LymsNutritionService lymsNutritionService;

    @PostMapping("upHisInfo")
    @TokenRequired
    public BaseResponse upHisInfo(@RequestBody @Validated LymsNutrition lymsNutrition){
        BaseResponse baseResponse=new BaseResponse();
        try {
            baseResponse.setErrorcode(0);
            baseResponse.setErrormsg("患者上传成功");
            lymsNutritionService.upNutritionInfo(lymsNutrition);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return baseResponse;
    }

}
