package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName article_info
 */
@TableName(value ="article_info")
@Data
public class ArticleInfo implements Serializable {
    /**
     * 
     */
    @TableField(value = "aid")
    private Integer aid;

    /**
     * 科室id
     */
    @TableField(value = "did")
    private Integer did;

    /**
     * 疾病id
     */
    @TableField(value = "iid")
    private Integer iid;

    /**
     * 文章标题
     */
    @TableField(value = "title")
    private String title;

    /**
     * 文章内容
     */
    @TableField(value = "content")
    private String content;

    /**
     * 是否发布. 0,否;1是
     */
    @TableField(value = "stat")
    private Byte stat;

    /**
     * 创建人id
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 创建人姓名
     */
    @TableField(value = "cname")
    private String cname;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 更新人id
     */
    @TableField(value = "updatedby")
    private Integer updatedby;

    /**
     * 更新人姓名
     */
    @TableField(value = "uname")
    private String uname;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time")
    private Date updatedTime;

    /**
     * 科室标识
     */
    @TableField(value = "hddid")
    private Integer hddid;

    /**
     * 科室名称
     */
    @TableField(value = "dname")
    private String dname;

    /**
     * 所属医院id
     */
    @TableField(value = "hid")
    private Integer hid;

    /**
     * 所属医院名称
     */
    @TableField(value = "hname")
    private String hname;

    /**
     * 详细科目
     */
    @TableField(value = "subcatalog")
    private String subcatalog;

    /**
     * 科室介绍
     */
    @TableField(value = "intro")
    private String intro;

    /**
     * 
     */
    @TableField(value = "id")
    private Integer id;

    /**
     * 编码
     */
    @TableField(value = "code")
    private Integer code;

    /**
     * 取值
     */
    @TableField(value = "value")
    private String value;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 文章类型，推送文章按类别依次推送1-12
     * 1.治疗2.护理3.病因4.预防5.症状6.相关问题7.好发人群8.分型9.检查10.并发症11.鉴别12.定义
     */
    @TableField(value = "article_type")
    private Integer articleType;

    /**
     * 每个疾病文章的序号（1-100）
     */
    @TableField(value = "serial_number")
    private Integer serialNumber;

    /**
     * 短文字1（公众号推送内容）
     */
    @TableField(value = "weix_text_one")
    private String weixTextOne;

    /**
     * 短文字2（公众号推送内容）
     */
    @TableField(value = "weix_text_two")
    private String weixTextTwo;


    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ArticleInfo other = (ArticleInfo) that;
        return (this.getAid() == null ? other.getAid() == null : this.getAid().equals(other.getAid()))
            && (this.getDid() == null ? other.getDid() == null : this.getDid().equals(other.getDid()))
            && (this.getIid() == null ? other.getIid() == null : this.getIid().equals(other.getIid()))
            && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
            && (this.getContent() == null ? other.getContent() == null : this.getContent().equals(other.getContent()))
            && (this.getStat() == null ? other.getStat() == null : this.getStat().equals(other.getStat()))
            && (this.getCreatedby() == null ? other.getCreatedby() == null : this.getCreatedby().equals(other.getCreatedby()))
            && (this.getCname() == null ? other.getCname() == null : this.getCname().equals(other.getCname()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()))
            && (this.getUpdatedby() == null ? other.getUpdatedby() == null : this.getUpdatedby().equals(other.getUpdatedby()))
            && (this.getUname() == null ? other.getUname() == null : this.getUname().equals(other.getUname()))
            && (this.getUpdatedTime() == null ? other.getUpdatedTime() == null : this.getUpdatedTime().equals(other.getUpdatedTime()))
            && (this.getHddid() == null ? other.getHddid() == null : this.getHddid().equals(other.getHddid()))
            && (this.getDname() == null ? other.getDname() == null : this.getDname().equals(other.getDname()))
            && (this.getHid() == null ? other.getHid() == null : this.getHid().equals(other.getHid()))
            && (this.getHname() == null ? other.getHname() == null : this.getHname().equals(other.getHname()))
            && (this.getSubcatalog() == null ? other.getSubcatalog() == null : this.getSubcatalog().equals(other.getSubcatalog()))
            && (this.getIntro() == null ? other.getIntro() == null : this.getIntro().equals(other.getIntro()))
            && (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getValue() == null ? other.getValue() == null : this.getValue().equals(other.getValue()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getAid() == null) ? 0 : getAid().hashCode());
        result = prime * result + ((getDid() == null) ? 0 : getDid().hashCode());
        result = prime * result + ((getIid() == null) ? 0 : getIid().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getContent() == null) ? 0 : getContent().hashCode());
        result = prime * result + ((getStat() == null) ? 0 : getStat().hashCode());
        result = prime * result + ((getCreatedby() == null) ? 0 : getCreatedby().hashCode());
        result = prime * result + ((getCname() == null) ? 0 : getCname().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        result = prime * result + ((getUpdatedby() == null) ? 0 : getUpdatedby().hashCode());
        result = prime * result + ((getUname() == null) ? 0 : getUname().hashCode());
        result = prime * result + ((getUpdatedTime() == null) ? 0 : getUpdatedTime().hashCode());
        result = prime * result + ((getHddid() == null) ? 0 : getHddid().hashCode());
        result = prime * result + ((getDname() == null) ? 0 : getDname().hashCode());
        result = prime * result + ((getHid() == null) ? 0 : getHid().hashCode());
        result = prime * result + ((getHname() == null) ? 0 : getHname().hashCode());
        result = prime * result + ((getSubcatalog() == null) ? 0 : getSubcatalog().hashCode());
        result = prime * result + ((getIntro() == null) ? 0 : getIntro().hashCode());
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getValue() == null) ? 0 : getValue().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", aid=").append(aid);
        sb.append(", did=").append(did);
        sb.append(", iid=").append(iid);
        sb.append(", title=").append(title);
        sb.append(", content=").append(content);
        sb.append(", stat=").append(stat);
        sb.append(", createdby=").append(createdby);
        sb.append(", cname=").append(cname);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", updatedby=").append(updatedby);
        sb.append(", uname=").append(uname);
        sb.append(", updatedTime=").append(updatedTime);
        sb.append(", hddid=").append(hddid);
        sb.append(", dname=").append(dname);
        sb.append(", hid=").append(hid);
        sb.append(", hname=").append(hname);
        sb.append(", subcatalog=").append(subcatalog);
        sb.append(", intro=").append(intro);
        sb.append(", id=").append(id);
        sb.append(", code=").append(code);
        sb.append(", value=").append(value);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}