package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 *问诊收入管理视图
 * @TableName diagnoseincome_info
 */
@TableName(value ="diagnoseincome_info")
@Data
public class DiagnoseincomeInfo implements Serializable {
    /**
     * 医生id
     */
    @TableField(value = "did")
    private Integer did;

    /**
     *问诊时间
     */
    @TableField(value = "createdtime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdtime;

    /**
     * 医生姓名
     */
    @TableField(value = "dname")
    private String dname;

    /**
     * 医生职位
     */
    @TableField(value = "job")
    private String job;

    /**
     * 医院名称
     */
    @TableField(value = "hname")
    private String hname;

    /**
     * 医院id
     */
    @TableField(value = "hid")
    private Integer hid;

    /**
     * 科室名称
     */
    @TableField(value = "dpname")
    private String dpname;

    /**
     * 科室id
     */
    @TableField(value = "dpid")
    private Integer dpid;

    /**
     * 问诊次数
     */
    @TableField(exist = false)
    private Long count;

    /**
     * 开始时间
     */
    @TableField(exist = false)
    private String startdate;

    /**
     * 开始时间
     */
    @TableField(exist = false)
    private String enddate;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}