package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 科室视图
 * @TableName hdepart_info
 */
@TableName(value ="hdepart_info")
@Data
public class HdepartInfo implements Serializable {
    /**
     * 科室标识
     */
    @TableField(value = "did")
    private Integer did;

    /**
     * 科室名称
     */
    @TableField(value = "dname")
    private String dname;

    /**
     * 所属医院id
     */
    @TableField(value = "hid")
    private Integer hid;

    /**
     * 所属医院名称
     */
    @TableField(value = "hname")
    private String hname;

    /**
     * 科室项目
     */
    @TableField(value = "subcatalog")
    private String subcatalog;

    /**
     * 科室介绍
     */
    @TableField(value = "intro")
    private String intro;

    /**
     * 创建人
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 创建人姓名或账号
     */
    @TableField(value = "creator")
    private String creator;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 更新人
     */
    @TableField(value = "updatedby")
    private Integer updatedby;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time")
    private Date updatedTime;

    /**
     * 医院类型名称
     */
    @TableField(value = "htypename")
    private String htypename;

    /**
     * 疾病id串
     */
    @TableField(exist = false)
    private String ills;
    /**
     * 疾病name串
     */
    @TableField(exist = false)
    private String illsName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HdepartInfo other = (HdepartInfo) that;
        return (this.getDid() == null ? other.getDid() == null : this.getDid().equals(other.getDid()))
            && (this.getDname() == null ? other.getDname() == null : this.getDname().equals(other.getDname()))
            && (this.getHid() == null ? other.getHid() == null : this.getHid().equals(other.getHid()))
            && (this.getHname() == null ? other.getHname() == null : this.getHname().equals(other.getHname()))
            && (this.getSubcatalog() == null ? other.getSubcatalog() == null : this.getSubcatalog().equals(other.getSubcatalog()))
            && (this.getIntro() == null ? other.getIntro() == null : this.getIntro().equals(other.getIntro()))
            && (this.getCreatedby() == null ? other.getCreatedby() == null : this.getCreatedby().equals(other.getCreatedby()))
            && (this.getCreator() == null ? other.getCreator() == null : this.getCreator().equals(other.getCreator()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()))
            && (this.getUpdatedby() == null ? other.getUpdatedby() == null : this.getUpdatedby().equals(other.getUpdatedby()))
            && (this.getUpdatedTime() == null ? other.getUpdatedTime() == null : this.getUpdatedTime().equals(other.getUpdatedTime()))
            && (this.getHtypename() == null ? other.getHtypename() == null : this.getHtypename().equals(other.getHtypename()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getDid() == null) ? 0 : getDid().hashCode());
        result = prime * result + ((getDname() == null) ? 0 : getDname().hashCode());
        result = prime * result + ((getHid() == null) ? 0 : getHid().hashCode());
        result = prime * result + ((getHname() == null) ? 0 : getHname().hashCode());
        result = prime * result + ((getSubcatalog() == null) ? 0 : getSubcatalog().hashCode());
        result = prime * result + ((getIntro() == null) ? 0 : getIntro().hashCode());
        result = prime * result + ((getCreatedby() == null) ? 0 : getCreatedby().hashCode());
        result = prime * result + ((getCreator() == null) ? 0 : getCreator().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        result = prime * result + ((getUpdatedby() == null) ? 0 : getUpdatedby().hashCode());
        result = prime * result + ((getUpdatedTime() == null) ? 0 : getUpdatedTime().hashCode());
        result = prime * result + ((getHtypename() == null) ? 0 : getHtypename().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", did=").append(did);
        sb.append(", dname=").append(dname);
        sb.append(", hid=").append(hid);
        sb.append(", hname=").append(hname);
        sb.append(", subcatalog=").append(subcatalog);
        sb.append(", intro=").append(intro);
        sb.append(", createdby=").append(createdby);
        sb.append(", creator=").append(creator);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", updatedby=").append(updatedby);
        sb.append(", updatedTime=").append(updatedTime);
        sb.append(", htypename=").append(htypename);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}