package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 文章
 * @TableName lyms_article
 */
@TableName(value ="lyms_article")
@Data
public class LymsArticle implements Serializable {
    /**
     * 
     */
    @TableId(value = "aid", type = IdType.AUTO)
    private Integer aid;

    /**
     * 科室id
     */
    @TableField(value = "did")
    private Integer did;

    /**
     * 疾病id
     */
    @TableField(value = "iid")
    private Integer iid;

    /**
     * 文章标题
     */
    @TableField(value = "title")
    private String title;

    /**
     * 文章内容
     */
    @TableField(value = "content")
    private String content;

    /**
     * 是否发布. 0,否;1是
     */
    @TableField(value = "stat")
    private Byte stat;

    /**
     * 创建人
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 更新人
     */
    @TableField(value = "updatedby")
    private Integer updatedby;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time")
    private Date updatedTime;

    /**
     * 文章类型，推送文章按类别依次推送1-12
     * 1.治疗2.护理3.病因4.预防5.症状6.相关问题7.好发人群8.分型9.检查10.并发症11.鉴别12.定义
     */
    @TableField(value = "article_type")
    private Integer articleType;

    /**
     * 每个疾病文章的序号（1-100）
     */
    @TableField(value = "serial_number")
    private Integer serialNumber;

    /**
     * 短文字1（公众号推送内容）
     */
    @TableField(value = "weix_text_one")
    private String weixTextOne;

    /**
     * 短文字2（公众号推送内容）
     */
    @TableField(value = "weix_text_two")
    private String weixTextTwo;

    @TableField(value = "cname")
    private String cname;//创建人姓名
    @TableField(value = "uname")
    private String uname;//更新人姓名

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsArticle other = (LymsArticle) that;
        return (this.getAid() == null ? other.getAid() == null : this.getAid().equals(other.getAid()))
            && (this.getDid() == null ? other.getDid() == null : this.getDid().equals(other.getDid()))
            && (this.getIid() == null ? other.getIid() == null : this.getIid().equals(other.getIid()))
            && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
            && (this.getContent() == null ? other.getContent() == null : this.getContent().equals(other.getContent()))
            && (this.getStat() == null ? other.getStat() == null : this.getStat().equals(other.getStat()))
            && (this.getCreatedby() == null ? other.getCreatedby() == null : this.getCreatedby().equals(other.getCreatedby()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()))
            && (this.getUpdatedby() == null ? other.getUpdatedby() == null : this.getUpdatedby().equals(other.getUpdatedby()))
            && (this.getUpdatedTime() == null ? other.getUpdatedTime() == null : this.getUpdatedTime().equals(other.getUpdatedTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getAid() == null) ? 0 : getAid().hashCode());
        result = prime * result + ((getDid() == null) ? 0 : getDid().hashCode());
        result = prime * result + ((getIid() == null) ? 0 : getIid().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getContent() == null) ? 0 : getContent().hashCode());
        result = prime * result + ((getStat() == null) ? 0 : getStat().hashCode());
        result = prime * result + ((getCreatedby() == null) ? 0 : getCreatedby().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        result = prime * result + ((getUpdatedby() == null) ? 0 : getUpdatedby().hashCode());
        result = prime * result + ((getUpdatedTime() == null) ? 0 : getUpdatedTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        return "LymsArticle{" +
                "aid=" + aid +
                ", did=" + did +
                ", iid=" + iid +
                ", title='" + title + '\'' +
                ", content='" + content + '\'' +
                ", stat=" + stat +
                ", createdby=" + createdby +
                ", createdtime=" + createdtime +
                ", updatedby=" + updatedby +
                ", updatedTime=" + updatedTime +
                ", serialNumber=" + serialNumber +
                ", weixTextOne='" + weixTextOne + '\'' +
                ", weixTextTwo='" + weixTextTwo + '\'' +
                ", cname='" + cname + '\'' +
                ", uname='" + uname + '\'' +
                '}';
    }
}