package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName lyms_chatgroup
 */
@TableName(value ="lyms_chatgroup")
@Data
public class LymsChatgroup implements Serializable {
    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 环信群组名称
     */
    @TableField(value = "groupname")
    private String groupname;

    /**
     * 环信群组描述
     */
    @TableField(value = "description")
    private String description;

    /**
     * 客服人员ID
     */
    @TableField(value = "ownerk")
    private String ownerk;

    /**
     * 患者身份证
     */
    @TableField(value = "fromp")
    private String fromp;

    /**
     * 环信组ID
     */
    @TableField(value = "hxgroupid")
    private String hxgroupid;

    /**
     * 医生登录账号
     */
    @TableField(value = "target")
    private String target;

    /**
     * 创建时间
     */
    @TableField(value = "ctime")
    private Date ctime;
    /**
     * 组类型-
     * 0：问诊 1：回访
     */
    @TableField(value = "type")
    private Integer type;
    /**
     * 回访状态-
     * 0：未结束 1：已结束（type是1的时候才有用）
     */
    @TableField(value = "stat")
    private Integer stat;

    /**
     * 病例id
     */
    @TableField(value = "pcid")
    private Integer pcid;
    /**
     * 科室id
     */
    @TableField(value = "hdepart_id")
    private Integer hdepartId;
    /**
     * 回访医生dlogin
     */
    @TableField(exist = false)
    private String retDlogin;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsChatgroup other = (LymsChatgroup) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getGroupname() == null ? other.getGroupname() == null : this.getGroupname().equals(other.getGroupname()))
            && (this.getDescription() == null ? other.getDescription() == null : this.getDescription().equals(other.getDescription()))
            && (this.getOwnerk() == null ? other.getOwnerk() == null : this.getOwnerk().equals(other.getOwnerk()))
            && (this.getFromp() == null ? other.getFromp() == null : this.getFromp().equals(other.getFromp()))
            && (this.getHxgroupid() == null ? other.getHxgroupid() == null : this.getHxgroupid().equals(other.getHxgroupid()))
            && (this.getTarget() == null ? other.getTarget() == null : this.getTarget().equals(other.getTarget()))
            && (this.getCtime() == null ? other.getCtime() == null : this.getCtime().equals(other.getCtime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getGroupname() == null) ? 0 : getGroupname().hashCode());
        result = prime * result + ((getDescription() == null) ? 0 : getDescription().hashCode());
        result = prime * result + ((getOwnerk() == null) ? 0 : getOwnerk().hashCode());
        result = prime * result + ((getFromp() == null) ? 0 : getFromp().hashCode());
        result = prime * result + ((getHxgroupid() == null) ? 0 : getHxgroupid().hashCode());
        result = prime * result + ((getTarget() == null) ? 0 : getTarget().hashCode());
        result = prime * result + ((getCtime() == null) ? 0 : getCtime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", groupname=").append(groupname);
        sb.append(", description=").append(description);
        sb.append(", ownerk=").append(ownerk);
        sb.append(", fromp=").append(fromp);
        sb.append(", hxgroupid=").append(hxgroupid);
        sb.append(", target=").append(target);
        sb.append(", ctime=").append(ctime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}