package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 医生
 * @TableName lyms_doctor
 */
@TableName(value ="lyms_doctor")
@Data
public class LymsDoctor implements Serializable {
    /**
     * 医生标识
     */
    @TableId(value = "did", type = IdType.AUTO)
    private Integer did;

    /**
     * 医生账号
     */
    @TableField(value = "dlogin")
    private String dlogin;

    /**
     * 登录密码
     */
    @TableField(value = "dpasswd")
    private String dpasswd;

    /**
     * 姓名
     */
    @TableField(value = "dname")
    private String dname;

    @TableField(value = "mobile")
    private String mobile;

    /**
     * 医院标识
     */
    @TableField(value = "hid")
    private Integer hid;

    /**
     * 科室标识
     */
    @TableField(value = "dpid")
    private Integer dpid;

    /**
     * 职位
     */
    @TableField(value = "lvl")
    private Integer lvl;

    @TableField(value = "headimg")
    private String headimg;//医生头像照片

    /**
     * 详细类目
     */
    @TableField(value = "subitem")
    private Integer subitem;

    /**
     * 状态.0:离线,1:在线
     */
    @TableField(value = "stat")
    private Byte stat;

    /**
     * 问诊次数
     */
    @TableField(value = "tcnt")
    private Integer tcnt;

    /**
     * 环信对应标识
     */
    @TableField(value = "hxid")
    private String hxid;

    /**
     * 简介
     */
    @TableField(value = "intro")
    private String intro;

    /**
     * 创建人
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdtime;

    /**
     * 更新人
     */
    @TableField(value = "updatedby")
    private Integer updatedby;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


    @TableField(exist = false)
    private String hname;//医院名称
    @TableField(exist = false)
    private String ddname;//科室名称
    @TableField(exist = false)
    private String lname;//职位

    /**
     * 创建人姓名
     */
    @TableField(value = "createdbyname")
    private String createdbyname;

    /**
     * 更新人姓名
     */
    @TableField(value = "updatedbyname")
    private String updatedbyname;

    /**
     * 性别
     */
    @TableField(value = "sex")
    private Integer sex;

    /**
     * 职务
     */
    @TableField(value = "job")
    private String job;
    /**
     * 治疗住院病例数
     */
    @TableField(value = "remedy_count")
    private Integer remedyCount;
    /**
     * 擅长
     */
    @TableField(value = "specialty")
    private String specialty;
    /**
     * 问诊医生类型
     *  0：就诊医生 1：值班医生2：值班护士（用于问诊聊天）
     */
    @TableField(value = "admin_type")
    private Integer adminType;


    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsDoctor other = (LymsDoctor) that;
        return (this.getDid() == null ? other.getDid() == null : this.getDid().equals(other.getDid()))
            && (this.getDlogin() == null ? other.getDlogin() == null : this.getDlogin().equals(other.getDlogin()))
            && (this.getDpasswd() == null ? other.getDpasswd() == null : this.getDpasswd().equals(other.getDpasswd()))
            && (this.getDname() == null ? other.getDname() == null : this.getDname().equals(other.getDname()))
            && (this.getHid() == null ? other.getHid() == null : this.getHid().equals(other.getHid()))
            && (this.getDpid() == null ? other.getDpid() == null : this.getDpid().equals(other.getDpid()))
            && (this.getLvl() == null ? other.getLvl() == null : this.getLvl().equals(other.getLvl()))
            && (this.getSubitem() == null ? other.getSubitem() == null : this.getSubitem().equals(other.getSubitem()))
            && (this.getStat() == null ? other.getStat() == null : this.getStat().equals(other.getStat()))
            && (this.getTcnt() == null ? other.getTcnt() == null : this.getTcnt().equals(other.getTcnt()))
            && (this.getHxid() == null ? other.getHxid() == null : this.getHxid().equals(other.getHxid()))
            && (this.getIntro() == null ? other.getIntro() == null : this.getIntro().equals(other.getIntro()))
            && (this.getCreatedby() == null ? other.getCreatedby() == null : this.getCreatedby().equals(other.getCreatedby()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()))
            && (this.getUpdatedby() == null ? other.getUpdatedby() == null : this.getUpdatedby().equals(other.getUpdatedby()))
            && (this.getUpdatedTime() == null ? other.getUpdatedTime() == null : this.getUpdatedTime().equals(other.getUpdatedTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getDid() == null) ? 0 : getDid().hashCode());
        result = prime * result + ((getDlogin() == null) ? 0 : getDlogin().hashCode());
        result = prime * result + ((getDpasswd() == null) ? 0 : getDpasswd().hashCode());
        result = prime * result + ((getDname() == null) ? 0 : getDname().hashCode());
        result = prime * result + ((getHid() == null) ? 0 : getHid().hashCode());
        result = prime * result + ((getDpid() == null) ? 0 : getDpid().hashCode());
        result = prime * result + ((getLvl() == null) ? 0 : getLvl().hashCode());
        result = prime * result + ((getSubitem() == null) ? 0 : getSubitem().hashCode());
        result = prime * result + ((getStat() == null) ? 0 : getStat().hashCode());
        result = prime * result + ((getTcnt() == null) ? 0 : getTcnt().hashCode());
        result = prime * result + ((getHxid() == null) ? 0 : getHxid().hashCode());
        result = prime * result + ((getIntro() == null) ? 0 : getIntro().hashCode());
        result = prime * result + ((getCreatedby() == null) ? 0 : getCreatedby().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        result = prime * result + ((getUpdatedby() == null) ? 0 : getUpdatedby().hashCode());
        result = prime * result + ((getUpdatedTime() == null) ? 0 : getUpdatedTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", did=").append(did);
        sb.append(", dlogin=").append(dlogin);
        sb.append(", dpasswd=").append(dpasswd);
        sb.append(", dname=").append(dname);
        sb.append(", hid=").append(hid);
        sb.append(", dpid=").append(dpid);
        sb.append(", lvl=").append(lvl);
        sb.append(", subitem=").append(subitem);
        sb.append(", stat=").append(stat);
        sb.append(", tcnt=").append(tcnt);
        sb.append(", hxid=").append(hxid);
        sb.append(", intro=").append(intro);
        sb.append(", createdby=").append(createdby);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", updatedby=").append(updatedby);
        sb.append(", updatedTime=").append(updatedTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}