package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;

/**
 * 对接医院his获取患者信息
 * @TableName lyms_his_info
 */
@TableName(value ="lyms_his_info")
@Data
public class LymsHisInfo implements Serializable {
    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    @NotNull(message = "id不能为空")
    private Integer id;

    /**
     * 编号
     */
    @TableField(value = "vcCardNo")
    @NotNull(message = "vccardno不能为空")
    private String vccardno;

    /**
     * 患者姓名
     */
    @TableField(value = "name")
    @NotNull(message = "name不能为空")
    private String name;

    /**
     * 性别
     */
    @TableField(value = "sex")
    @NotNull(message = "sex不能为空")
    private String sex;

    /**
     * 生日
     */
    @TableField(value = "birthday")
    @NotNull(message = "birthday不能为空")
    private String birthday;

    /**
     * 电话
     */
    @TableField(value = "phone")
    @NotNull(message = "phone不能为空")
    private String phone;

    /**
     * 身份证号码
     */
    @TableField(value = "idCard")
    @NotNull(message = "idcard不能为空")
    private String idcard;

    /**
     * 科室名称
     */
    @TableField(value = "dept")
    @NotNull(message = "dept不能为空")
    private String dept;

    /**
     * 疾病名称
     */
    @TableField(value = "diagnose")
    @NotNull(message = "diagnose不能为空")
    private String diagnose;

    /**
     * 医生姓名
     */
    @TableField(value = "doctor")
    @NotNull(message = "doctor不能为空")
    private String doctor;
    /**
     * 医院id
     */
    @TableField(value = "hospitalId")
    @NotNull(message = "hospitalId不能为空")
    private String hospitalId;

    /**
     * 上传问诊平台状态。0：未上传 1：已上传
     */
    @TableField(value = "up_type")
    @NotNull(message = "upType不能为空")
    private Integer upType;

    /**
     * 上传时间
     */
    @TableField(value = "up_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date upTime;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime",fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "createdtime不能为空")
    private Date createdtime;

    /**
     * his系统就诊时间
     */
    @TableField(value = "created")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date created;

    /**
     * 筛选开始时间
     */
    @TableField(exist = false)
    private String startCreatedtime;
    /**
     * 筛选结束时间
     */
    @TableField(exist = false)
    private String endCreatedtime;
    /**
     * 综合查询（姓名/电话/身份证）
     */
    @TableField(exist = false)
    private String synthesisQuery;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsHisInfo other = (LymsHisInfo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getVccardno() == null ? other.getVccardno() == null : this.getVccardno().equals(other.getVccardno()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getSex() == null ? other.getSex() == null : this.getSex().equals(other.getSex()))
            && (this.getBirthday() == null ? other.getBirthday() == null : this.getBirthday().equals(other.getBirthday()))
            && (this.getPhone() == null ? other.getPhone() == null : this.getPhone().equals(other.getPhone()))
            && (this.getIdcard() == null ? other.getIdcard() == null : this.getIdcard().equals(other.getIdcard()))
            && (this.getDept() == null ? other.getDept() == null : this.getDept().equals(other.getDept()))
            && (this.getDiagnose() == null ? other.getDiagnose() == null : this.getDiagnose().equals(other.getDiagnose()))
            && (this.getDoctor() == null ? other.getDoctor() == null : this.getDoctor().equals(other.getDoctor()))
            && (this.getUpType() == null ? other.getUpType() == null : this.getUpType().equals(other.getUpType()))
            && (this.getUpTime() == null ? other.getUpTime() == null : this.getUpTime().equals(other.getUpTime()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getVccardno() == null) ? 0 : getVccardno().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getSex() == null) ? 0 : getSex().hashCode());
        result = prime * result + ((getBirthday() == null) ? 0 : getBirthday().hashCode());
        result = prime * result + ((getPhone() == null) ? 0 : getPhone().hashCode());
        result = prime * result + ((getIdcard() == null) ? 0 : getIdcard().hashCode());
        result = prime * result + ((getDept() == null) ? 0 : getDept().hashCode());
        result = prime * result + ((getDiagnose() == null) ? 0 : getDiagnose().hashCode());
        result = prime * result + ((getDoctor() == null) ? 0 : getDoctor().hashCode());
        result = prime * result + ((getUpType() == null) ? 0 : getUpType().hashCode());
        result = prime * result + ((getUpTime() == null) ? 0 : getUpTime().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", vccardno=").append(vccardno);
        sb.append(", name=").append(name);
        sb.append(", sex=").append(sex);
        sb.append(", birthday=").append(birthday);
        sb.append(", phone=").append(phone);
        sb.append(", idcard=").append(idcard);
        sb.append(", dept=").append(dept);
        sb.append(", diagnose=").append(diagnose);
        sb.append(", doctor=").append(doctor);
        sb.append(", upType=").append(upType);
        sb.append(", upTime=").append(upTime);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}