package com.lyms.talkonlineweb.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 医院
 * @TableName lyms_hospital
 */
@TableName(value ="lyms_hospital")
@Data
public class LymsHospital implements Serializable {
    /**
     * 医院标识
     */
    @TableId(value = "hid", type = IdType.AUTO)
    private Integer hid;

    /**
     * 医院名称
     */
    @TableField(value = "hname")
    private String hname;

    /**
     * 医院级别
     */
    @TableField(value = "hlevel")
    private Integer hlevel;

    /**
     * 医院类型
     */
    @TableField(value = "htype")
    private Integer htype;

    /**
     * 省
     */
    @TableField(value = "prov")
    private Integer prov;

    /**
     * 市
     */
    @TableField(value = "city")
    private Integer city;

    /**
     * 县
     */
    @TableField(value = "regin")
    private Integer regin;

    /**
     * 医院详细地址
     */
    @TableField(value = "haddr")
    private String haddr;

    /**
     * 创建人
     */
    @TableField(value = "createdby")
    private Integer createdby;

    @TableField(value = "creator")
    private String creator;
    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 更新人
     */
    @TableField(value = "updatedby")
    private Integer updatedby;

    /**
     * 更新时间
     */
    @TableField(value = "updatedtime")
    private Date updatedtime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private String lvlname;//级别名称
    @TableField(exist = false)
    private String tname;//类型名称

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsHospital other = (LymsHospital) that;
        return (this.getHid() == null ? other.getHid() == null : this.getHid().equals(other.getHid()))
            && (this.getHname() == null ? other.getHname() == null : this.getHname().equals(other.getHname()))
            && (this.getHlevel() == null ? other.getHlevel() == null : this.getHlevel().equals(other.getHlevel()))
            && (this.getHtype() == null ? other.getHtype() == null : this.getHtype().equals(other.getHtype()))
            && (this.getProv() == null ? other.getProv() == null : this.getProv().equals(other.getProv()))
            && (this.getCity() == null ? other.getCity() == null : this.getCity().equals(other.getCity()))
            && (this.getRegin() == null ? other.getRegin() == null : this.getRegin().equals(other.getRegin()))
            && (this.getHaddr() == null ? other.getHaddr() == null : this.getHaddr().equals(other.getHaddr()))
            && (this.getCreatedby() == null ? other.getCreatedby() == null : this.getCreatedby().equals(other.getCreatedby()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()))
            && (this.getUpdatedby() == null ? other.getUpdatedby() == null : this.getUpdatedby().equals(other.getUpdatedby()))
            && (this.getUpdatedtime() == null ? other.getUpdatedtime() == null : this.getUpdatedtime().equals(other.getUpdatedtime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getHid() == null) ? 0 : getHid().hashCode());
        result = prime * result + ((getHname() == null) ? 0 : getHname().hashCode());
        result = prime * result + ((getHlevel() == null) ? 0 : getHlevel().hashCode());
        result = prime * result + ((getHtype() == null) ? 0 : getHtype().hashCode());
        result = prime * result + ((getProv() == null) ? 0 : getProv().hashCode());
        result = prime * result + ((getCity() == null) ? 0 : getCity().hashCode());
        result = prime * result + ((getRegin() == null) ? 0 : getRegin().hashCode());
        result = prime * result + ((getHaddr() == null) ? 0 : getHaddr().hashCode());
        result = prime * result + ((getCreatedby() == null) ? 0 : getCreatedby().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        result = prime * result + ((getUpdatedby() == null) ? 0 : getUpdatedby().hashCode());
        result = prime * result + ((getUpdatedtime() == null) ? 0 : getUpdatedtime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", hid=").append(hid);
        sb.append(", hname=").append(hname);
        sb.append(", hlevel=").append(hlevel);
        sb.append(", htype=").append(htype);
        sb.append(", prov=").append(prov);
        sb.append(", city=").append(city);
        sb.append(", regin=").append(regin);
        sb.append(", haddr=").append(haddr);
        sb.append(", createdby=").append(createdby);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", updatedby=").append(updatedby);
        sb.append(", updatedtime=").append(updatedtime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}