package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 检查报告
 * @TableName lyms_inspection_report
 */
@TableName(value ="lyms_inspection_report")
@Data
public class LymsInspectionReport implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 关联病例id
     */
    @TableField(value = "pcid")
    private Integer pcid;

    /**
     * 检查医院
     */
    @TableField(value = "hid")
    private Integer hid;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 修改时间
     */
    @TableField(value = "updatedtime")
    private Date updatedtime;

    /**
     * 检查时间
     */
    @TableField(value = "checkdate")
    private Date checkdate;

    /**
     * 就诊卡号
     */
    @TableField(value = "outpatients_card")
    private String outpatientsCard;

    /**
     * 血压：高压
     */
    @TableField(value = "gaoya")
    private String gaoya;

    /**
     * 血压：低压
     */
    @TableField(value = "diya")
    private String diya;

    /**
     * 体重
     */
    @TableField(value = "weight")
    private String weight;

    /**
     * 身高
     */
    @TableField(value = "height")
    private String height;

    /**
     * 血糖
     */
    @TableField(value = "blood")
    private String blood;

    /**
     * 脉搏
     */
    @TableField(value = "pulse")
    private String pulse;

    /**
     * 体温
     */
    @TableField(value = "animal_heat")
    private String animalHeat;

    /**
     * 促卵泡生产激素
     */
    @TableField(value = "clpscjs")
    private String clpscjs;

    /**
     * 促黄体生成素
     */
    @TableField(value = "chtscs")
    private String chtscs;

    /**
     * 雌二醇
     */
    @TableField(value = "cec")
    private String cec;

    /**
     * 垂体泌乳素
     */
    @TableField(value = "ctmrs")
    private String ctmrs;

    /**
     * 孕酮
     */
    @TableField(value = "yunt")
    private String yunt;

    /**
     * 睾酮
     */
    @TableField(value = "gaot")
    private String gaot;

    /**
     * PH-白带
     */
    @TableField(value = "phbd")
    private String phbd;

    /**
     * 清洁度-白带
     */
    @TableField(value = "qjdbd")
    private String qjdbd;

    /**
     * 杆菌-白带
     */
    @TableField(value = "gjbd")
    private String gjbd;

    /**
     * 红细胞-白带
     */
    @TableField(value = "hxbbd")
    private String hxbbd;

    /**
     * 上皮细胞-白带
     */
    @TableField(value = "spxbbd")
    private String spxbbd;

    /**
     * 线索细胞-白带
     */
    @TableField(value = "xsxbbd")
    private String xsxbbd;

    /**
     * 霉菌-白带
     */
    @TableField(value = "mjbd")
    private String mjbd;

    /**
     * 滴虫-白带
     */
    @TableField(value = "dcbd")
    private String dcbd;

    /**
     * 胺实验-白带
     */
    @TableField(value = "asybd")
    private String asybd;

    /**
     * 白细胞-白带
     */
    @TableField(value = "bxbbd")
    private String bxbbd;

    /**
     * 宫颈细胞学检查
     */
    @TableField(value = "gjxbxjc")
    private String gjxbxjc;

    /**
     * 宫颈人乳头瘤病毒检查
     */
    @TableField(value = "gjrrtlbdjc")
    private String gjrrtlbdjc;

    /**
     * 乳腺彩超（请输
入彩超意见）
     */
    @TableField(value = "rxcc")
    private String rxcc;

    /**
     * 乳腺钼靶
     */
    @TableField(value = "rxmb")
    private String rxmb;

    /**
     * B超或阴超
（请输入B
超意见
     */
    @TableField(value = "bchyc")
    private String bchyc;

    /**
     * 血清HCG水平
（0-5mIU/ml
表明未孕）
     */
    @TableField(value = "xqhcgsp")
    private String xqhcgsp;

    /**
     * 白细胞
     */
    @TableField(value = "bxb")
    private String bxb;

    /**
     * 红细胞计数
     */
    @TableField(value = "hxbjs")
    private String hxbjs;

    /**
     * 血红蛋白
     */
    @TableField(value = "xhdb")
    private String xhdb;

    /**
     * 血细胞比容
     */
    @TableField(value = "xxbbr")
    private String xxbbr;

    /**
     * 平均红细胞血红蛋白含量
     */
    @TableField(value = "avghxbxhdbhl")
    private String avghxbxhdbhl;

    /**
     * 平均红细胞血红蛋白浓度
     */
    @TableField(value = "avghxbxhdbnd")
    private String avghxbxhdbnd;

    /**
     * 红细胞分布宽度
     */
    @TableField(value = "hxbfbkd")
    private String hxbfbkd;

    /**
     * 血小板计数
     */
    @TableField(value = "xxbjs")
    private String xxbjs;

    /**
     * 平均血小板体积
     */
    @TableField(value = "avgxxbtj")
    private String avgxxbtj;

    /**
     * 血小板分布宽度
     */
    @TableField(value = "xxbfbkd")
    private String xxbfbkd;

    /**
     * 血小板压积
     */
    @TableField(value = "xxbjy")
    private String xxbjy;

    /**
     * 淋巴细胞百分比
     */
    @TableField(value = "lbxbbfb")
    private String lbxbbfb;

    /**
     * 中性粒细胞百分比
     */
    @TableField(value = "zxlxbbfb")
    private String zxlxbbfb;

    /**
     * 淋巴细胞值
     */
    @TableField(value = "lbxbz")
    private String lbxbz;

    /**
     * 中性粒细胞值
     */
    @TableField(value = "zxlxbz")
    private String zxlxbz;

    /**
     * 平均红细胞体积
     */
    @TableField(value = "avghxbtj")
    private String avghxbtj;

    /**
     * 酸碱度
     */
    @TableField(value = "sjd")
    private String sjd;

    /**
     * 尿糖
     */
    @TableField(value = "niaot")
    private String niaot;

    /**
     * 酮体
     */
    @TableField(value = "tongt")
    private String tongt;

    /**
     * 尿胆原
     */
    @TableField(value = "ndy")
    private String ndy;

    /**
     * 胆红素
     */
    @TableField(value = "dhs")
    private String dhs;

    /**
     * 尿蛋白
     */
    @TableField(value = "ndb")
    private String ndb;

    /**
     * 谷丙转氨酶
     */
    @TableField(value = "gbzam")
    private String gbzam;

    /**
     * 谷草转氨酶
     */
    @TableField(value = "gczam")
    private String gczam;

    /**
     * 碱性磷酸酶
     */
    @TableField(value = "jxlsm")
    private String jxlsm;

    /**
     * 谷氨酰转肽酶
     */
    @TableField(value = "gbxztm")
    private String gbxztm;

    /**
     * 总胆红素
     */
    @TableField(value = "zdhs")
    private String zdhs;

    /**
     * 直接胆红素
     */
    @TableField(value = "zjdhz")
    private String zjdhz;

    /**
     * 间接胆红素
     */
    @TableField(value = "jjdhs")
    private String jjdhs;

    /**
     * 总蛋白
     */
    @TableField(value = "zdb")
    private String zdb;

    /**
     * 白蛋白
     */
    @TableField(value = "bdb")
    private String bdb;

    /**
     * 球蛋白
     */
    @TableField(value = "qdb")
    private String qdb;

    /**
     * 白球比
     */
    @TableField(value = "bqb")
    private String bqb;

    /**
     * 谷草谷丙比值
     */
    @TableField(value = "gcgbbz")
    private String gcgbbz;

    /**
     * 肌酐
     */
    @TableField(value = "jigan")
    private String jigan;

    /**
     * 尿素氨
     */
    @TableField(value = "nsa")
    private String nsa;

    /**
     * 血清胱抑素C测定
     */
    @TableField(value = "xqgysccd")
    private String xqgysccd;

    /**
     * 钾
     */
    @TableField(value = "jia")
    private String jia;

    /**
     * 钠
     */
    @TableField(value = "na")
    private String na;

    /**
     * 氯
     */
    @TableField(value = "lv")
    private String lv;

    /**
     * 钙
     */
    @TableField(value = "gai")
    private String gai;

    /**
     * 葡萄糖
     */
    @TableField(value = "glucose")
    private String glucose;

    /**
     * 尿酸
     */
    @TableField(value = "niaos")
    private String niaos;

    /**
     * 内生肌酐清除率
     */
    @TableField(value = "nsjgqcl")
    private String nsjgqcl;

    /**
     * 肾小球滤过率测定
     */
    @TableField(value = "sxqlglcd")
    private String sxqlglcd;

    /**
     * β2-微球蛋白
     */
    @TableField(value = "wqdb")
    private String wqdb;

    /**
     * 总三碘甲状腺原氨酸
     */
    @TableField(value = "zsdjzxyas")
    private String zsdjzxyas;

    /**
     * 总甲状腺素
     */
    @TableField(value = "zjzxs")
    private String zjzxs;

    /**
     * 游离甲状腺素
     */
    @TableField(value = "yljzxs")
    private String yljzxs;

    /**
     * 促甲状腺激素
     */
    @TableField(value = "cjzxjs")
    private String cjzxjs;

    /**
     * 游离三碘伏甲状腺原氨酸
     */
    @TableField(value = "ylsdfjzxyas")
    private String ylsdfjzxyas;

    /**
     * 总胆固醇
     */
    @TableField(value = "zdgc")
    private String zdgc;

    /**
     * 甘油三酯
     */
    @TableField(value = "gysz")
    private String gysz;

    /**
     * 低密度脂蛋白
     */
    @TableField(value = "dmdzdb")
    private String dmdzdb;

    /**
     * 载脂蛋白A1
     */
    @TableField(value = "zzdba")
    private String zzdba;

    /**
     * 高密度脂蛋白
     */
    @TableField(value = "gmdzdb")
    private String gmdzdb;

    /**
     * 载脂蛋白B
     */
    @TableField(value = "zzdbb")
    private String zzdbb;

    /**
     * 癌抗原125
     */
    @TableField(value = "aky")
    private String aky;

    /**
     * 人附睾蛋白4
     */
    @TableField(value = "rfgdb")
    private String rfgdb;

    /**
     * 糖链抗原19-9
     */
    @TableField(value = "tlky")
    private String tlky;

    /**
     * 甲胎蛋白
     */
    @TableField(value = "jtdb")
    private String jtdb;

    /**
     * 癌胚抗原
     */
    @TableField(value = "apky")
    private String apky;

    /**
     * 鳞状细胞癌抗原
     */
    @TableField(value = "lzxbaky")
    private String lzxbaky;

    /**
     * 沙眼衣原体
     */
    @TableField(value = "syyyt")
    private String syyyt;

    /**
     * 解脲支原体
     */
    @TableField(value = "jnzyt")
    private String jnzyt;

    /**
     * 人型支原体
     */
    @TableField(value = "rxzyt")
    private String rxzyt;

    /**
     * 主诊断
     */
    @TableField(value = "zzd")
    private String zzd;

    /**
     * 主诊断内容
     */
    @TableField(value = "zzdnr")
    private String zzdnr;

    /**
     * 次要诊断
     */
    @TableField(value = "cyzd")
    private String cyzd;

    /**
     * 次诊断内容
     */
    @TableField(value = "cyzdnr")
    private String cyzdnr;

    /**
     * 处理意见
     */
    @TableField(value = "clyj")
    private String clyj;

    /**
     * 指导意见
     */
    @TableField(value = "zdyj")
    private String zdyj;

    /**
     * 检查医生id
     */
    @TableField(value = "jcys")
    private Integer jcys;

    /**
     * 预约下次检查时间
     */
    @TableField(value = "yyxcjcsj")
    private Date yyxcjcsj;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsInspectionReport other = (LymsInspectionReport) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPcid() == null ? other.getPcid() == null : this.getPcid().equals(other.getPcid()))
            && (this.getHid() == null ? other.getHid() == null : this.getHid().equals(other.getHid()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()))
            && (this.getUpdatedtime() == null ? other.getUpdatedtime() == null : this.getUpdatedtime().equals(other.getUpdatedtime()))
            && (this.getCheckdate() == null ? other.getCheckdate() == null : this.getCheckdate().equals(other.getCheckdate()))
            && (this.getOutpatientsCard() == null ? other.getOutpatientsCard() == null : this.getOutpatientsCard().equals(other.getOutpatientsCard()))
            && (this.getGaoya() == null ? other.getGaoya() == null : this.getGaoya().equals(other.getGaoya()))
            && (this.getDiya() == null ? other.getDiya() == null : this.getDiya().equals(other.getDiya()))
            && (this.getWeight() == null ? other.getWeight() == null : this.getWeight().equals(other.getWeight()))
            && (this.getHeight() == null ? other.getHeight() == null : this.getHeight().equals(other.getHeight()))
            && (this.getBlood() == null ? other.getBlood() == null : this.getBlood().equals(other.getBlood()))
            && (this.getPulse() == null ? other.getPulse() == null : this.getPulse().equals(other.getPulse()))
            && (this.getAnimalHeat() == null ? other.getAnimalHeat() == null : this.getAnimalHeat().equals(other.getAnimalHeat()))
            && (this.getClpscjs() == null ? other.getClpscjs() == null : this.getClpscjs().equals(other.getClpscjs()))
            && (this.getChtscs() == null ? other.getChtscs() == null : this.getChtscs().equals(other.getChtscs()))
            && (this.getCec() == null ? other.getCec() == null : this.getCec().equals(other.getCec()))
            && (this.getCtmrs() == null ? other.getCtmrs() == null : this.getCtmrs().equals(other.getCtmrs()))
            && (this.getYunt() == null ? other.getYunt() == null : this.getYunt().equals(other.getYunt()))
            && (this.getGaot() == null ? other.getGaot() == null : this.getGaot().equals(other.getGaot()))
            && (this.getPhbd() == null ? other.getPhbd() == null : this.getPhbd().equals(other.getPhbd()))
            && (this.getQjdbd() == null ? other.getQjdbd() == null : this.getQjdbd().equals(other.getQjdbd()))
            && (this.getGjbd() == null ? other.getGjbd() == null : this.getGjbd().equals(other.getGjbd()))
            && (this.getHxbbd() == null ? other.getHxbbd() == null : this.getHxbbd().equals(other.getHxbbd()))
            && (this.getSpxbbd() == null ? other.getSpxbbd() == null : this.getSpxbbd().equals(other.getSpxbbd()))
            && (this.getXsxbbd() == null ? other.getXsxbbd() == null : this.getXsxbbd().equals(other.getXsxbbd()))
            && (this.getMjbd() == null ? other.getMjbd() == null : this.getMjbd().equals(other.getMjbd()))
            && (this.getDcbd() == null ? other.getDcbd() == null : this.getDcbd().equals(other.getDcbd()))
            && (this.getAsybd() == null ? other.getAsybd() == null : this.getAsybd().equals(other.getAsybd()))
            && (this.getBxbbd() == null ? other.getBxbbd() == null : this.getBxbbd().equals(other.getBxbbd()))
            && (this.getGjxbxjc() == null ? other.getGjxbxjc() == null : this.getGjxbxjc().equals(other.getGjxbxjc()))
            && (this.getGjrrtlbdjc() == null ? other.getGjrrtlbdjc() == null : this.getGjrrtlbdjc().equals(other.getGjrrtlbdjc()))
            && (this.getRxcc() == null ? other.getRxcc() == null : this.getRxcc().equals(other.getRxcc()))
            && (this.getRxmb() == null ? other.getRxmb() == null : this.getRxmb().equals(other.getRxmb()))
            && (this.getBchyc() == null ? other.getBchyc() == null : this.getBchyc().equals(other.getBchyc()))
            && (this.getXqhcgsp() == null ? other.getXqhcgsp() == null : this.getXqhcgsp().equals(other.getXqhcgsp()))
            && (this.getBxb() == null ? other.getBxb() == null : this.getBxb().equals(other.getBxb()))
            && (this.getHxbjs() == null ? other.getHxbjs() == null : this.getHxbjs().equals(other.getHxbjs()))
            && (this.getXhdb() == null ? other.getXhdb() == null : this.getXhdb().equals(other.getXhdb()))
            && (this.getXxbbr() == null ? other.getXxbbr() == null : this.getXxbbr().equals(other.getXxbbr()))
            && (this.getAvghxbxhdbhl() == null ? other.getAvghxbxhdbhl() == null : this.getAvghxbxhdbhl().equals(other.getAvghxbxhdbhl()))
            && (this.getAvghxbxhdbnd() == null ? other.getAvghxbxhdbnd() == null : this.getAvghxbxhdbnd().equals(other.getAvghxbxhdbnd()))
            && (this.getHxbfbkd() == null ? other.getHxbfbkd() == null : this.getHxbfbkd().equals(other.getHxbfbkd()))
            && (this.getXxbjs() == null ? other.getXxbjs() == null : this.getXxbjs().equals(other.getXxbjs()))
            && (this.getAvgxxbtj() == null ? other.getAvgxxbtj() == null : this.getAvgxxbtj().equals(other.getAvgxxbtj()))
            && (this.getXxbfbkd() == null ? other.getXxbfbkd() == null : this.getXxbfbkd().equals(other.getXxbfbkd()))
            && (this.getXxbjy() == null ? other.getXxbjy() == null : this.getXxbjy().equals(other.getXxbjy()))
            && (this.getLbxbbfb() == null ? other.getLbxbbfb() == null : this.getLbxbbfb().equals(other.getLbxbbfb()))
            && (this.getZxlxbbfb() == null ? other.getZxlxbbfb() == null : this.getZxlxbbfb().equals(other.getZxlxbbfb()))
            && (this.getLbxbz() == null ? other.getLbxbz() == null : this.getLbxbz().equals(other.getLbxbz()))
            && (this.getZxlxbz() == null ? other.getZxlxbz() == null : this.getZxlxbz().equals(other.getZxlxbz()))
            && (this.getAvghxbtj() == null ? other.getAvghxbtj() == null : this.getAvghxbtj().equals(other.getAvghxbtj()))
            && (this.getSjd() == null ? other.getSjd() == null : this.getSjd().equals(other.getSjd()))
            && (this.getNiaot() == null ? other.getNiaot() == null : this.getNiaot().equals(other.getNiaot()))
            && (this.getTongt() == null ? other.getTongt() == null : this.getTongt().equals(other.getTongt()))
            && (this.getNdy() == null ? other.getNdy() == null : this.getNdy().equals(other.getNdy()))
            && (this.getDhs() == null ? other.getDhs() == null : this.getDhs().equals(other.getDhs()))
            && (this.getNdb() == null ? other.getNdb() == null : this.getNdb().equals(other.getNdb()))
            && (this.getGbzam() == null ? other.getGbzam() == null : this.getGbzam().equals(other.getGbzam()))
            && (this.getGczam() == null ? other.getGczam() == null : this.getGczam().equals(other.getGczam()))
            && (this.getJxlsm() == null ? other.getJxlsm() == null : this.getJxlsm().equals(other.getJxlsm()))
            && (this.getGbxztm() == null ? other.getGbxztm() == null : this.getGbxztm().equals(other.getGbxztm()))
            && (this.getZdhs() == null ? other.getZdhs() == null : this.getZdhs().equals(other.getZdhs()))
            && (this.getZjdhz() == null ? other.getZjdhz() == null : this.getZjdhz().equals(other.getZjdhz()))
            && (this.getJjdhs() == null ? other.getJjdhs() == null : this.getJjdhs().equals(other.getJjdhs()))
            && (this.getZdb() == null ? other.getZdb() == null : this.getZdb().equals(other.getZdb()))
            && (this.getBdb() == null ? other.getBdb() == null : this.getBdb().equals(other.getBdb()))
            && (this.getQdb() == null ? other.getQdb() == null : this.getQdb().equals(other.getQdb()))
            && (this.getBqb() == null ? other.getBqb() == null : this.getBqb().equals(other.getBqb()))
            && (this.getGcgbbz() == null ? other.getGcgbbz() == null : this.getGcgbbz().equals(other.getGcgbbz()))
            && (this.getJigan() == null ? other.getJigan() == null : this.getJigan().equals(other.getJigan()))
            && (this.getNsa() == null ? other.getNsa() == null : this.getNsa().equals(other.getNsa()))
            && (this.getXqgysccd() == null ? other.getXqgysccd() == null : this.getXqgysccd().equals(other.getXqgysccd()))
            && (this.getJia() == null ? other.getJia() == null : this.getJia().equals(other.getJia()))
            && (this.getNa() == null ? other.getNa() == null : this.getNa().equals(other.getNa()))
            && (this.getLv() == null ? other.getLv() == null : this.getLv().equals(other.getLv()))
            && (this.getGai() == null ? other.getGai() == null : this.getGai().equals(other.getGai()))
            && (this.getGlucose() == null ? other.getGlucose() == null : this.getGlucose().equals(other.getGlucose()))
            && (this.getNiaos() == null ? other.getNiaos() == null : this.getNiaos().equals(other.getNiaos()))
            && (this.getNsjgqcl() == null ? other.getNsjgqcl() == null : this.getNsjgqcl().equals(other.getNsjgqcl()))
            && (this.getSxqlglcd() == null ? other.getSxqlglcd() == null : this.getSxqlglcd().equals(other.getSxqlglcd()))
            && (this.getWqdb() == null ? other.getWqdb() == null : this.getWqdb().equals(other.getWqdb()))
            && (this.getZsdjzxyas() == null ? other.getZsdjzxyas() == null : this.getZsdjzxyas().equals(other.getZsdjzxyas()))
            && (this.getZjzxs() == null ? other.getZjzxs() == null : this.getZjzxs().equals(other.getZjzxs()))
            && (this.getYljzxs() == null ? other.getYljzxs() == null : this.getYljzxs().equals(other.getYljzxs()))
            && (this.getCjzxjs() == null ? other.getCjzxjs() == null : this.getCjzxjs().equals(other.getCjzxjs()))
            && (this.getYlsdfjzxyas() == null ? other.getYlsdfjzxyas() == null : this.getYlsdfjzxyas().equals(other.getYlsdfjzxyas()))
            && (this.getZdgc() == null ? other.getZdgc() == null : this.getZdgc().equals(other.getZdgc()))
            && (this.getGysz() == null ? other.getGysz() == null : this.getGysz().equals(other.getGysz()))
            && (this.getDmdzdb() == null ? other.getDmdzdb() == null : this.getDmdzdb().equals(other.getDmdzdb()))
            && (this.getZzdba() == null ? other.getZzdba() == null : this.getZzdba().equals(other.getZzdba()))
            && (this.getGmdzdb() == null ? other.getGmdzdb() == null : this.getGmdzdb().equals(other.getGmdzdb()))
            && (this.getZzdbb() == null ? other.getZzdbb() == null : this.getZzdbb().equals(other.getZzdbb()))
            && (this.getAky() == null ? other.getAky() == null : this.getAky().equals(other.getAky()))
            && (this.getRfgdb() == null ? other.getRfgdb() == null : this.getRfgdb().equals(other.getRfgdb()))
            && (this.getTlky() == null ? other.getTlky() == null : this.getTlky().equals(other.getTlky()))
            && (this.getJtdb() == null ? other.getJtdb() == null : this.getJtdb().equals(other.getJtdb()))
            && (this.getApky() == null ? other.getApky() == null : this.getApky().equals(other.getApky()))
            && (this.getLzxbaky() == null ? other.getLzxbaky() == null : this.getLzxbaky().equals(other.getLzxbaky()))
            && (this.getSyyyt() == null ? other.getSyyyt() == null : this.getSyyyt().equals(other.getSyyyt()))
            && (this.getJnzyt() == null ? other.getJnzyt() == null : this.getJnzyt().equals(other.getJnzyt()))
            && (this.getRxzyt() == null ? other.getRxzyt() == null : this.getRxzyt().equals(other.getRxzyt()))
            && (this.getZzd() == null ? other.getZzd() == null : this.getZzd().equals(other.getZzd()))
            && (this.getZzdnr() == null ? other.getZzdnr() == null : this.getZzdnr().equals(other.getZzdnr()))
            && (this.getCyzd() == null ? other.getCyzd() == null : this.getCyzd().equals(other.getCyzd()))
            && (this.getCyzdnr() == null ? other.getCyzdnr() == null : this.getCyzdnr().equals(other.getCyzdnr()))
            && (this.getClyj() == null ? other.getClyj() == null : this.getClyj().equals(other.getClyj()))
            && (this.getZdyj() == null ? other.getZdyj() == null : this.getZdyj().equals(other.getZdyj()))
            && (this.getJcys() == null ? other.getJcys() == null : this.getJcys().equals(other.getJcys()))
            && (this.getYyxcjcsj() == null ? other.getYyxcjcsj() == null : this.getYyxcjcsj().equals(other.getYyxcjcsj()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPcid() == null) ? 0 : getPcid().hashCode());
        result = prime * result + ((getHid() == null) ? 0 : getHid().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        result = prime * result + ((getUpdatedtime() == null) ? 0 : getUpdatedtime().hashCode());
        result = prime * result + ((getCheckdate() == null) ? 0 : getCheckdate().hashCode());
        result = prime * result + ((getOutpatientsCard() == null) ? 0 : getOutpatientsCard().hashCode());
        result = prime * result + ((getGaoya() == null) ? 0 : getGaoya().hashCode());
        result = prime * result + ((getDiya() == null) ? 0 : getDiya().hashCode());
        result = prime * result + ((getWeight() == null) ? 0 : getWeight().hashCode());
        result = prime * result + ((getHeight() == null) ? 0 : getHeight().hashCode());
        result = prime * result + ((getBlood() == null) ? 0 : getBlood().hashCode());
        result = prime * result + ((getPulse() == null) ? 0 : getPulse().hashCode());
        result = prime * result + ((getAnimalHeat() == null) ? 0 : getAnimalHeat().hashCode());
        result = prime * result + ((getClpscjs() == null) ? 0 : getClpscjs().hashCode());
        result = prime * result + ((getChtscs() == null) ? 0 : getChtscs().hashCode());
        result = prime * result + ((getCec() == null) ? 0 : getCec().hashCode());
        result = prime * result + ((getCtmrs() == null) ? 0 : getCtmrs().hashCode());
        result = prime * result + ((getYunt() == null) ? 0 : getYunt().hashCode());
        result = prime * result + ((getGaot() == null) ? 0 : getGaot().hashCode());
        result = prime * result + ((getPhbd() == null) ? 0 : getPhbd().hashCode());
        result = prime * result + ((getQjdbd() == null) ? 0 : getQjdbd().hashCode());
        result = prime * result + ((getGjbd() == null) ? 0 : getGjbd().hashCode());
        result = prime * result + ((getHxbbd() == null) ? 0 : getHxbbd().hashCode());
        result = prime * result + ((getSpxbbd() == null) ? 0 : getSpxbbd().hashCode());
        result = prime * result + ((getXsxbbd() == null) ? 0 : getXsxbbd().hashCode());
        result = prime * result + ((getMjbd() == null) ? 0 : getMjbd().hashCode());
        result = prime * result + ((getDcbd() == null) ? 0 : getDcbd().hashCode());
        result = prime * result + ((getAsybd() == null) ? 0 : getAsybd().hashCode());
        result = prime * result + ((getBxbbd() == null) ? 0 : getBxbbd().hashCode());
        result = prime * result + ((getGjxbxjc() == null) ? 0 : getGjxbxjc().hashCode());
        result = prime * result + ((getGjrrtlbdjc() == null) ? 0 : getGjrrtlbdjc().hashCode());
        result = prime * result + ((getRxcc() == null) ? 0 : getRxcc().hashCode());
        result = prime * result + ((getRxmb() == null) ? 0 : getRxmb().hashCode());
        result = prime * result + ((getBchyc() == null) ? 0 : getBchyc().hashCode());
        result = prime * result + ((getXqhcgsp() == null) ? 0 : getXqhcgsp().hashCode());
        result = prime * result + ((getBxb() == null) ? 0 : getBxb().hashCode());
        result = prime * result + ((getHxbjs() == null) ? 0 : getHxbjs().hashCode());
        result = prime * result + ((getXhdb() == null) ? 0 : getXhdb().hashCode());
        result = prime * result + ((getXxbbr() == null) ? 0 : getXxbbr().hashCode());
        result = prime * result + ((getAvghxbxhdbhl() == null) ? 0 : getAvghxbxhdbhl().hashCode());
        result = prime * result + ((getAvghxbxhdbnd() == null) ? 0 : getAvghxbxhdbnd().hashCode());
        result = prime * result + ((getHxbfbkd() == null) ? 0 : getHxbfbkd().hashCode());
        result = prime * result + ((getXxbjs() == null) ? 0 : getXxbjs().hashCode());
        result = prime * result + ((getAvgxxbtj() == null) ? 0 : getAvgxxbtj().hashCode());
        result = prime * result + ((getXxbfbkd() == null) ? 0 : getXxbfbkd().hashCode());
        result = prime * result + ((getXxbjy() == null) ? 0 : getXxbjy().hashCode());
        result = prime * result + ((getLbxbbfb() == null) ? 0 : getLbxbbfb().hashCode());
        result = prime * result + ((getZxlxbbfb() == null) ? 0 : getZxlxbbfb().hashCode());
        result = prime * result + ((getLbxbz() == null) ? 0 : getLbxbz().hashCode());
        result = prime * result + ((getZxlxbz() == null) ? 0 : getZxlxbz().hashCode());
        result = prime * result + ((getAvghxbtj() == null) ? 0 : getAvghxbtj().hashCode());
        result = prime * result + ((getSjd() == null) ? 0 : getSjd().hashCode());
        result = prime * result + ((getNiaot() == null) ? 0 : getNiaot().hashCode());
        result = prime * result + ((getTongt() == null) ? 0 : getTongt().hashCode());
        result = prime * result + ((getNdy() == null) ? 0 : getNdy().hashCode());
        result = prime * result + ((getDhs() == null) ? 0 : getDhs().hashCode());
        result = prime * result + ((getNdb() == null) ? 0 : getNdb().hashCode());
        result = prime * result + ((getGbzam() == null) ? 0 : getGbzam().hashCode());
        result = prime * result + ((getGczam() == null) ? 0 : getGczam().hashCode());
        result = prime * result + ((getJxlsm() == null) ? 0 : getJxlsm().hashCode());
        result = prime * result + ((getGbxztm() == null) ? 0 : getGbxztm().hashCode());
        result = prime * result + ((getZdhs() == null) ? 0 : getZdhs().hashCode());
        result = prime * result + ((getZjdhz() == null) ? 0 : getZjdhz().hashCode());
        result = prime * result + ((getJjdhs() == null) ? 0 : getJjdhs().hashCode());
        result = prime * result + ((getZdb() == null) ? 0 : getZdb().hashCode());
        result = prime * result + ((getBdb() == null) ? 0 : getBdb().hashCode());
        result = prime * result + ((getQdb() == null) ? 0 : getQdb().hashCode());
        result = prime * result + ((getBqb() == null) ? 0 : getBqb().hashCode());
        result = prime * result + ((getGcgbbz() == null) ? 0 : getGcgbbz().hashCode());
        result = prime * result + ((getJigan() == null) ? 0 : getJigan().hashCode());
        result = prime * result + ((getNsa() == null) ? 0 : getNsa().hashCode());
        result = prime * result + ((getXqgysccd() == null) ? 0 : getXqgysccd().hashCode());
        result = prime * result + ((getJia() == null) ? 0 : getJia().hashCode());
        result = prime * result + ((getNa() == null) ? 0 : getNa().hashCode());
        result = prime * result + ((getLv() == null) ? 0 : getLv().hashCode());
        result = prime * result + ((getGai() == null) ? 0 : getGai().hashCode());
        result = prime * result + ((getGlucose() == null) ? 0 : getGlucose().hashCode());
        result = prime * result + ((getNiaos() == null) ? 0 : getNiaos().hashCode());
        result = prime * result + ((getNsjgqcl() == null) ? 0 : getNsjgqcl().hashCode());
        result = prime * result + ((getSxqlglcd() == null) ? 0 : getSxqlglcd().hashCode());
        result = prime * result + ((getWqdb() == null) ? 0 : getWqdb().hashCode());
        result = prime * result + ((getZsdjzxyas() == null) ? 0 : getZsdjzxyas().hashCode());
        result = prime * result + ((getZjzxs() == null) ? 0 : getZjzxs().hashCode());
        result = prime * result + ((getYljzxs() == null) ? 0 : getYljzxs().hashCode());
        result = prime * result + ((getCjzxjs() == null) ? 0 : getCjzxjs().hashCode());
        result = prime * result + ((getYlsdfjzxyas() == null) ? 0 : getYlsdfjzxyas().hashCode());
        result = prime * result + ((getZdgc() == null) ? 0 : getZdgc().hashCode());
        result = prime * result + ((getGysz() == null) ? 0 : getGysz().hashCode());
        result = prime * result + ((getDmdzdb() == null) ? 0 : getDmdzdb().hashCode());
        result = prime * result + ((getZzdba() == null) ? 0 : getZzdba().hashCode());
        result = prime * result + ((getGmdzdb() == null) ? 0 : getGmdzdb().hashCode());
        result = prime * result + ((getZzdbb() == null) ? 0 : getZzdbb().hashCode());
        result = prime * result + ((getAky() == null) ? 0 : getAky().hashCode());
        result = prime * result + ((getRfgdb() == null) ? 0 : getRfgdb().hashCode());
        result = prime * result + ((getTlky() == null) ? 0 : getTlky().hashCode());
        result = prime * result + ((getJtdb() == null) ? 0 : getJtdb().hashCode());
        result = prime * result + ((getApky() == null) ? 0 : getApky().hashCode());
        result = prime * result + ((getLzxbaky() == null) ? 0 : getLzxbaky().hashCode());
        result = prime * result + ((getSyyyt() == null) ? 0 : getSyyyt().hashCode());
        result = prime * result + ((getJnzyt() == null) ? 0 : getJnzyt().hashCode());
        result = prime * result + ((getRxzyt() == null) ? 0 : getRxzyt().hashCode());
        result = prime * result + ((getZzd() == null) ? 0 : getZzd().hashCode());
        result = prime * result + ((getZzdnr() == null) ? 0 : getZzdnr().hashCode());
        result = prime * result + ((getCyzd() == null) ? 0 : getCyzd().hashCode());
        result = prime * result + ((getCyzdnr() == null) ? 0 : getCyzdnr().hashCode());
        result = prime * result + ((getClyj() == null) ? 0 : getClyj().hashCode());
        result = prime * result + ((getZdyj() == null) ? 0 : getZdyj().hashCode());
        result = prime * result + ((getJcys() == null) ? 0 : getJcys().hashCode());
        result = prime * result + ((getYyxcjcsj() == null) ? 0 : getYyxcjcsj().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", pcid=").append(pcid);
        sb.append(", hid=").append(hid);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", updatedtime=").append(updatedtime);
        sb.append(", checkdate=").append(checkdate);
        sb.append(", outpatientsCard=").append(outpatientsCard);
        sb.append(", gaoya=").append(gaoya);
        sb.append(", diya=").append(diya);
        sb.append(", weight=").append(weight);
        sb.append(", height=").append(height);
        sb.append(", blood=").append(blood);
        sb.append(", pulse=").append(pulse);
        sb.append(", animalHeat=").append(animalHeat);
        sb.append(", clpscjs=").append(clpscjs);
        sb.append(", chtscs=").append(chtscs);
        sb.append(", cec=").append(cec);
        sb.append(", ctmrs=").append(ctmrs);
        sb.append(", yunt=").append(yunt);
        sb.append(", gaot=").append(gaot);
        sb.append(", phbd=").append(phbd);
        sb.append(", qjdbd=").append(qjdbd);
        sb.append(", gjbd=").append(gjbd);
        sb.append(", hxbbd=").append(hxbbd);
        sb.append(", spxbbd=").append(spxbbd);
        sb.append(", xsxbbd=").append(xsxbbd);
        sb.append(", mjbd=").append(mjbd);
        sb.append(", dcbd=").append(dcbd);
        sb.append(", asybd=").append(asybd);
        sb.append(", bxbbd=").append(bxbbd);
        sb.append(", gjxbxjc=").append(gjxbxjc);
        sb.append(", gjrrtlbdjc=").append(gjrrtlbdjc);
        sb.append(", rxcc=").append(rxcc);
        sb.append(", rxmb=").append(rxmb);
        sb.append(", bchyc=").append(bchyc);
        sb.append(", xqhcgsp=").append(xqhcgsp);
        sb.append(", bxb=").append(bxb);
        sb.append(", hxbjs=").append(hxbjs);
        sb.append(", xhdb=").append(xhdb);
        sb.append(", xxbbr=").append(xxbbr);
        sb.append(", avghxbxhdbhl=").append(avghxbxhdbhl);
        sb.append(", avghxbxhdbnd=").append(avghxbxhdbnd);
        sb.append(", hxbfbkd=").append(hxbfbkd);
        sb.append(", xxbjs=").append(xxbjs);
        sb.append(", avgxxbtj=").append(avgxxbtj);
        sb.append(", xxbfbkd=").append(xxbfbkd);
        sb.append(", xxbjy=").append(xxbjy);
        sb.append(", lbxbbfb=").append(lbxbbfb);
        sb.append(", zxlxbbfb=").append(zxlxbbfb);
        sb.append(", lbxbz=").append(lbxbz);
        sb.append(", zxlxbz=").append(zxlxbz);
        sb.append(", avghxbtj=").append(avghxbtj);
        sb.append(", sjd=").append(sjd);
        sb.append(", niaot=").append(niaot);
        sb.append(", tongt=").append(tongt);
        sb.append(", ndy=").append(ndy);
        sb.append(", dhs=").append(dhs);
        sb.append(", ndb=").append(ndb);
        sb.append(", gbzam=").append(gbzam);
        sb.append(", gczam=").append(gczam);
        sb.append(", jxlsm=").append(jxlsm);
        sb.append(", gbxztm=").append(gbxztm);
        sb.append(", zdhs=").append(zdhs);
        sb.append(", zjdhz=").append(zjdhz);
        sb.append(", jjdhs=").append(jjdhs);
        sb.append(", zdb=").append(zdb);
        sb.append(", bdb=").append(bdb);
        sb.append(", qdb=").append(qdb);
        sb.append(", bqb=").append(bqb);
        sb.append(", gcgbbz=").append(gcgbbz);
        sb.append(", jigan=").append(jigan);
        sb.append(", nsa=").append(nsa);
        sb.append(", xqgysccd=").append(xqgysccd);
        sb.append(", jia=").append(jia);
        sb.append(", na=").append(na);
        sb.append(", lv=").append(lv);
        sb.append(", gai=").append(gai);
        sb.append(", glucose=").append(glucose);
        sb.append(", niaos=").append(niaos);
        sb.append(", nsjgqcl=").append(nsjgqcl);
        sb.append(", sxqlglcd=").append(sxqlglcd);
        sb.append(", wqdb=").append(wqdb);
        sb.append(", zsdjzxyas=").append(zsdjzxyas);
        sb.append(", zjzxs=").append(zjzxs);
        sb.append(", yljzxs=").append(yljzxs);
        sb.append(", cjzxjs=").append(cjzxjs);
        sb.append(", ylsdfjzxyas=").append(ylsdfjzxyas);
        sb.append(", zdgc=").append(zdgc);
        sb.append(", gysz=").append(gysz);
        sb.append(", dmdzdb=").append(dmdzdb);
        sb.append(", zzdba=").append(zzdba);
        sb.append(", gmdzdb=").append(gmdzdb);
        sb.append(", zzdbb=").append(zzdbb);
        sb.append(", aky=").append(aky);
        sb.append(", rfgdb=").append(rfgdb);
        sb.append(", tlky=").append(tlky);
        sb.append(", jtdb=").append(jtdb);
        sb.append(", apky=").append(apky);
        sb.append(", lzxbaky=").append(lzxbaky);
        sb.append(", syyyt=").append(syyyt);
        sb.append(", jnzyt=").append(jnzyt);
        sb.append(", rxzyt=").append(rxzyt);
        sb.append(", zzd=").append(zzd);
        sb.append(", zzdnr=").append(zzdnr);
        sb.append(", cyzd=").append(cyzd);
        sb.append(", cyzdnr=").append(cyzdnr);
        sb.append(", clyj=").append(clyj);
        sb.append(", zdyj=").append(zdyj);
        sb.append(", jcys=").append(jcys);
        sb.append(", yyxcjcsj=").append(yyxcjcsj);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}