package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName lyms_logs_crud
 */
@TableName(value ="lyms_logs_crud")
@Data
public class LymsLogsCrud implements Serializable {
    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 操作用户名字
     */
    @TableField(value = "uname")
    private String uname;

    /**
     * crud相关操作
     */
    @TableField(value = "crudtype")
    private String crudtype;

    /**
     * 医院名称
     */
    @TableField(value = "hname")
    private String hname;

    /**
     * 科室名称
     */
    @TableField(value = "hdname")
    private String hdname;

    /**
     * 医生名称
     */
    @TableField(value = "dname")
    private String dname;

    /**
     * 操作时间
     */
    @TableField(value = "creatdata")
    private Date creatdata;

    /**
     * 1:科室管理，2：医生管理
     */
    @TableField(value = "type")
    private Integer type;

    /**
     * 创建人姓名,医生管理用
     */
    @TableField(value = "createdbyname")
    private String createdbyname;

    /**
     * 更新人姓名,医生管理用
     */
    @TableField(value = "updatedbyname")
    private String updatedbyname;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsLogsCrud other = (LymsLogsCrud) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getUname() == null ? other.getUname() == null : this.getUname().equals(other.getUname()))
            && (this.getCrudtype() == null ? other.getCrudtype() == null : this.getCrudtype().equals(other.getCrudtype()))
            && (this.getHname() == null ? other.getHname() == null : this.getHname().equals(other.getHname()))
            && (this.getHdname() == null ? other.getHdname() == null : this.getHdname().equals(other.getHdname()))
            && (this.getCreatdata() == null ? other.getCreatdata() == null : this.getCreatdata().equals(other.getCreatdata()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getCreatedbyname() == null ? other.getCreatedbyname() == null : this.getCreatedbyname().equals(other.getCreatedbyname()))
            && (this.getUpdatedbyname() == null ? other.getUpdatedbyname() == null : this.getUpdatedbyname().equals(other.getUpdatedbyname()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getUname() == null) ? 0 : getUname().hashCode());
        result = prime * result + ((getCrudtype() == null) ? 0 : getCrudtype().hashCode());
        result = prime * result + ((getHname() == null) ? 0 : getHname().hashCode());
        result = prime * result + ((getHdname() == null) ? 0 : getHdname().hashCode());
        result = prime * result + ((getCreatdata() == null) ? 0 : getCreatdata().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getCreatedbyname() == null) ? 0 : getCreatedbyname().hashCode());
        result = prime * result + ((getUpdatedbyname() == null) ? 0 : getUpdatedbyname().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", uname=").append(uname);
        sb.append(", crudtype=").append(crudtype);
        sb.append(", hname=").append(hname);
        sb.append(", hdname=").append(hdname);
        sb.append(", creatdata=").append(creatdata);
        sb.append(", type=").append(type);
        sb.append(", createdbyname=").append(createdbyname);
        sb.append(", updatedbyname=").append(updatedbyname);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}