package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @ProjectName: talkonline
 * @Package: com.lyms.talkonlineweb.domain
 * @ClassName: LymsAttention
 * @Author: lqy
 * @Description: 订单
 * @Date: 2021-09-10 16:08
 * @Version:
 */
@TableName(value ="lyms_order")
@Data
@ToString
public class LymsOrder extends BaseModel implements Serializable {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 订单编号
     */
    @TableField(value = "orderno")
    private String orderno;

    /**
     * 患者id
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 商品编号
     */
    @TableField(value = "gid")
    private Integer gid;


    /**
     * 价格
     */
    @TableField(value = "price")
    private int price;
    /**
     * 购买数量
     */
    @TableField(value = "cnt")
    private Integer cnt;

    /**
     * 订单状态 订单生成(0),支付成功(1),处理完成(2),处理失败(-1)
     */
    @TableField(value = "status")
    private Integer status;

    /**
     * 支付订单号
     */
    @TableField(value = "payorderid")
    private String  payorderid;

    /**
     * 用户微信openid
     */
    @TableField(value = "openid")
    private String  openid;



    /**
     * 创建人
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 更新人
     */
    @TableField(value = "updatedby")
    private String updatedby;

    /**
     * 更新时间
     */
    @TableField(value = "updatedtime")
    private Date updatedtime;

}
