package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 患者
 * @TableName lyms_patient
 */
@TableName(value ="lyms_patient")
@Data
public class LymsPatient implements Serializable {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 患者姓名
     */
    @TableField(value = "pname")
    private String pname;

    /**
     * 身份证号
     */
    @TableField(value = "idno")
    private String idno;

    /**
     * 登录密码
     */
    @TableField(value = "ppasswd")
    private String ppasswd;

    /**
     * 生日
     */
    @TableField(value = "birth")
    private String birth;


    /**
     * 用户openid
     */
    @TableField(value = "openid")
    private String openid;

    /**
     * 用户关注的公众号openid
     */
    @TableField(value = "gzopenid")
    private String gzopenid;

    /**
     * 性别
     */
    @TableField(value = "sex")
    private Integer sex;

    /**
     * 问诊卡数量
     */
    @TableField(value = "ccnt")
    private Integer ccnt;

    /**
     * 环信对应标识
     */
    @TableField(value = "hxid")
    private String hxid;

    @TableField(value = "islogin")
    private Integer islogin;//是否登录过

    @TableField(value="headimg")
    private String headimg;//患者头像

    /**
     * 创建人
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 更新人
     */
    @TableField(value = "updatedby")
    private String updatedby;

    /**
     * 更新时间
     */
    @TableField(value = "updatedtime")
    private Date updatedtime;

    /**
     * 小程序注册时的手机号码
     */
    @TableField(value = "enrolment_phone")
    private String enrolmentPhone;
    /**
     * 国籍
     */
    @TableField(value = "nationality")
    private String nationality;
    /**
     * 民族
     */
    @TableField(value = "nation")
    private String nation;
    /**
     * 婚姻状况
     */
    @TableField(value = "marriage_type")
    private String marriageType;
    /**
     * 户籍类型
     */
    @TableField(value = "register_type")
    private String registerType;
    /**
     * 居住类型
     */
    @TableField(value = "reside_type")
    private String resideType;
    /**
     * 文化程度
     */
    @TableField(value = "education")
    private String education;
    /**
     * 职业类别
     */
    @TableField(value = "job_type")
    private String jobType;
    /**
     * 工作单位
     */
    @TableField(value = "job_name")
    private String jobName;
    /**
     * 居住地-省
     */
    @TableField(value = "reside_prov")
    private String resideProv;
    /**
     * 居住地-市
     */
    @TableField(value = "reside_city")
    private String resideCity;
    /**
     * 居住地-县区
     */
    @TableField(value = "reside_regin")
    private String resideRegin;
    /**
     * 居住地-详细地址
     */
    @TableField(value = "reside_addres")
    private String resideAddres;
    /**
     * 户籍地-省
     */
    @TableField(value = "register_prov")
    private String registerProv;
    /**
     * 户籍地-市
     */
    @TableField(value = "register_city")
    private String registerCity;
    /**
     * 户籍地-县区
     */
    @TableField(value = "register_regin")
    private String registerRegin;
    /**
     * 户籍地-详细地址
     */
    @TableField(value = "register_addres")
    private String registerAddres;
    /**
     * 就诊卡号
     */
    @TableField(value = "medical_card")
    private String medicalCard;
    /**
     * 建档医生id
     */
    @TableField(value = "bookbuil_doctor")
    private String bookbuilDoctor;
    /**
     * 建档医院id
     */
    @TableField(value = "bookbuil_hospital")
    private String bookbuilHospital;
    /**
     * 档案类型：1:妇科，2：儿科(以后可以在丰富类似套餐模式)
     */
    @TableField(value = "bookbuil_type")
    private String bookbuilType;
    /**
     * 现病史（1：无，2：有）
     */
    @TableField(value = "xbs")
    private String xbs;
    /**
     * 现病史-其他
     */
    @TableField(value = "xbs_qt")
    private String xbsQt;
    /**
     * 既往史（1：无，2：有）
     */
    @TableField(value = "jws")
    private String jws;
    /**
     * 既往史-其他
     */
    @TableField(value = "jws_qt")
    private String jwsQt;
    /**
     * 个人史（1：无，2：有）
     */
    @TableField(value = "grs")
    private String grs;
    /**
     * 个人史是2的内容
     */
    @TableField(value = "grs_info")
    private String grsInfo;
    /**
     * 药物过敏史（1：无，2：有）
     */
    @TableField(value = "ywgms")
    private String ywgms;
    /**
     * 药物过敏史-其他
     */
    @TableField(value = "ywgms_qt")
    private String ywgmsQt;
    /**
     * 月经史（1：无，2：有）
     */
    @TableField(value = "yjs")
    private String yjs;
    /**
     * 月经史-其他
     */
    @TableField(value = "yjs_qt")
    private String yjsQt;
    /**
     * 生育史（1：无，2：有）
     */
    @TableField(value = "shengys")
    private String shengys;
    /**
     * 生育史是2的内容
     */
    @TableField(value = "shengys_info")
    private String shengysInfo;
    /**
     * 家族史（1：无，2：有）
     */
    @TableField(value = "jzs")
    private String jzs;
    /**
     * 家族史是2的内容
     */
    @TableField(value = "jzs_info")
    private String jzsInfo;
    /**
     * 建档日期
     */
    @TableField(value = "bookbuil_date")
    private Date bookbuilDate;



    /**
     * 修改/重置密码状态 0修改密码 1重置密码
     */
    @TableField(exist = false)
    private Integer type;
    /**
     * 公众号跳转小程序登录状态。1不需要加密处理
     */
    @TableField(exist = false)
    private Integer loginType;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
//    小程序公众号上传的code
    @TableField(exist = false)
    private String code;
    //综合查询 姓名/联系电话/身份证号码
    @TableField(exist = false)
    private String synthesisQuery;
    //开始时间
    @TableField(exist = false)
    private String startCreatedtime;
    //结束时间
    @TableField(exist = false)
    private String endCreatedtime;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsPatient other = (LymsPatient) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPname() == null ? other.getPname() == null : this.getPname().equals(other.getPname()))
            && (this.getIdno() == null ? other.getIdno() == null : this.getIdno().equals(other.getIdno()))
            && (this.getPpasswd() == null ? other.getPpasswd() == null : this.getPpasswd().equals(other.getPpasswd()))
            && (this.getSex() == null ? other.getSex() == null : this.getSex().equals(other.getSex()))
            && (this.getCcnt() == null ? other.getCcnt() == null : this.getCcnt().equals(other.getCcnt()))
            && (this.getHxid() == null ? other.getHxid() == null : this.getHxid().equals(other.getHxid()))
            && (this.getCreatedby() == null ? other.getCreatedby() == null : this.getCreatedby().equals(other.getCreatedby()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()))
            && (this.getUpdatedby() == null ? other.getUpdatedby() == null : this.getUpdatedby().equals(other.getUpdatedby()))
            && (this.getUpdatedtime() == null ? other.getUpdatedtime() == null : this.getUpdatedtime().equals(other.getUpdatedtime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPname() == null) ? 0 : getPname().hashCode());
        result = prime * result + ((getIdno() == null) ? 0 : getIdno().hashCode());
        result = prime * result + ((getPpasswd() == null) ? 0 : getPpasswd().hashCode());
        result = prime * result + ((getSex() == null) ? 0 : getSex().hashCode());
        result = prime * result + ((getCcnt() == null) ? 0 : getCcnt().hashCode());
        result = prime * result + ((getHxid() == null) ? 0 : getHxid().hashCode());
        result = prime * result + ((getCreatedby() == null) ? 0 : getCreatedby().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        result = prime * result + ((getUpdatedby() == null) ? 0 : getUpdatedby().hashCode());
        result = prime * result + ((getUpdatedtime() == null) ? 0 : getUpdatedtime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", pname=").append(pname);
        sb.append(", idno=").append(idno);
        sb.append(", ppasswd=").append(ppasswd);
        sb.append(", sex=").append(sex);
        sb.append(", ccnt=").append(ccnt);
        sb.append(", hxid=").append(hxid);
        sb.append(", createdby=").append(createdby);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", updatedby=").append(updatedby);
        sb.append(", updatedtime=").append(updatedtime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}