package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 关注的患者
 * @TableName lyms_patient_attention
 */
@TableName(value ="lyms_patient_attention")
@Data
public class LymsPatientAttention implements Serializable {
    /**
     * 患者id
     */
    @TableField(value = "pid")
    @NotNull(message = "pid不能为空")
    private Integer pid;

    /**
     * 关注的患者id
     */
    @TableField(value = "attention_id")
    @NotNull(message = "attention_id不能为空")
    private Integer attentionId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsPatientAttention other = (LymsPatientAttention) that;
        return (this.getPid() == null ? other.getPid() == null : this.getPid().equals(other.getPid()))
            && (this.getAttentionId() == null ? other.getAttentionId() == null : this.getAttentionId().equals(other.getAttentionId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getPid() == null) ? 0 : getPid().hashCode());
        result = prime * result + ((getAttentionId() == null) ? 0 : getAttentionId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", pid=").append(pid);
        sb.append(", attentionId=").append(attentionId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}