package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 病例
 * @TableName lyms_pcase
 */
@TableName(value ="lyms_pcase")
@Data
public class LymsPcase implements Serializable {
    /**
     * 
     */
    @TableId(value = "pcid", type = IdType.AUTO)
    private Integer pcid;

    /**
     * 患者id
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 手机号
     */
    @TableField(value = "mobile")
    private String mobile;

    /**
     * 填写医院id
     */
    @TableField(value = "hid")
    private Integer hid;

    @TableField(value = "hname")
    private String hname;//医院名称

    /**
     * 填写科室id
     */
    @TableField(value = "did")
    private Integer did;


    @TableField(value = "dname")
    private String dname;//科室名称

    /**
     * 就诊医生
     */
    @TableField(value = "dtid")
    private Integer dtid;

    @TableField(value = "dtname")
    private String dtname;//就诊医生姓名
    /**
     * 创建人
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 更新人
     */
    @TableField(value = "updatedby")
    private Integer updatedby;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time")
    private Date updatedTime;
    /**
     * his系统就诊时间、就诊时间
     */
    @TableField(value = "created")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date created;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;



    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", pcid=").append(pcid);
        sb.append(", pid=").append(pid);
        sb.append(", mobile=").append(mobile);
        sb.append(", hid=").append(hid);
        sb.append(", did=").append(did);
        sb.append(", dtid=").append(dtid);
        sb.append(", createdby=").append(createdby);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", updatedby=").append(updatedby);
        sb.append(", updatedTime=").append(updatedTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}