package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 子女关注患者推送短文字记录
 * @TableName lyms_push_attention_record
 */
@TableName(value ="lyms_push_attention_record")
@Data
public class LymsPushAttentionRecord implements Serializable {
    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 推送子女的小程序用户id
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 推送子女的公众号id
     */
    @TableField(value = "p_gzopenid")
    private String pGzopenid;

    /**
     * 被关注患者id
     */
    @TableField(value = "pa_id")
    private Integer paId;

    /**
     * 推送类型：1：短文字一，2：短文字二
     */
    @TableField(value = "pa_isweixin_type")
    private Integer paIsweixinType;

    /**
     * 被关注患者推送的短文字内容
     */
    @TableField(value = "pa_weix_text")
    private String paWeixText;

    /**
     * 推送状态 0待推送 1成功 2失败（在备注写失败原因）
     */
    @TableField(value = "isweixin_state")
    private Integer isweixinState;

    /**
     * 备注。失败原因
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 推送时间
     */
    @TableField(value = "push_time")
    private Date pushTime;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsPushAttentionRecord other = (LymsPushAttentionRecord) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPid() == null ? other.getPid() == null : this.getPid().equals(other.getPid()))
            && (this.getPGzopenid() == null ? other.getPGzopenid() == null : this.getPGzopenid().equals(other.getPGzopenid()))
            && (this.getPaId() == null ? other.getPaId() == null : this.getPaId().equals(other.getPaId()))
            && (this.getPaIsweixinType() == null ? other.getPaIsweixinType() == null : this.getPaIsweixinType().equals(other.getPaIsweixinType()))
            && (this.getPaWeixText() == null ? other.getPaWeixText() == null : this.getPaWeixText().equals(other.getPaWeixText()))
            && (this.getIsweixinState() == null ? other.getIsweixinState() == null : this.getIsweixinState().equals(other.getIsweixinState()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()))
            && (this.getPushTime() == null ? other.getPushTime() == null : this.getPushTime().equals(other.getPushTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPid() == null) ? 0 : getPid().hashCode());
        result = prime * result + ((getPGzopenid() == null) ? 0 : getPGzopenid().hashCode());
        result = prime * result + ((getPaId() == null) ? 0 : getPaId().hashCode());
        result = prime * result + ((getPaIsweixinType() == null) ? 0 : getPaIsweixinType().hashCode());
        result = prime * result + ((getPaWeixText() == null) ? 0 : getPaWeixText().hashCode());
        result = prime * result + ((getIsweixinState() == null) ? 0 : getIsweixinState().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        result = prime * result + ((getPushTime() == null) ? 0 : getPushTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", pid=").append(pid);
        sb.append(", pGzopenid=").append(pGzopenid);
        sb.append(", paId=").append(paId);
        sb.append(", paIsweixinType=").append(paIsweixinType);
        sb.append(", paWeixText=").append(paWeixText);
        sb.append(", isweixinState=").append(isweixinState);
        sb.append(", remark=").append(remark);
        sb.append(", pushTime=").append(pushTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}