package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 疾病分类推送数据（1普通疾病，2慢性病）
慢性病：确诊后30天推送一次，间隔90天进行第二次推送。
普通疾病：确诊15天后 推送。
 * @TableName lyms_push_illness_msg
 */
@TableName(value ="lyms_push_illness_msg")
@Data
public class LymsPushIllnessMsg implements Serializable {
    /**
     * 推送记录-主键自增id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 推送的患者id
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 患者手机号/患者小程序登录账号
     */
    @TableField(value = "phone")
    private String phone;

    /**
     * 患者小程序登录密码
     */
    @TableField(value = "passwd")
    private String passwd;

    /**
     * 患者公众号id
     */
    @TableField(value = "gzopenid")
    private String gzopenid;

    /**
     * 患者姓名
     */
    @TableField(value = "pname")
    private String pname;
    /**
     * 患者病例id
     */
    @TableField(value = "pcid")
    private Integer pcid;
    /**
     * 就诊医院
     */
    @TableField(value = "hname")
    private String hname;
    /**
     * 就诊科室
     */
    @TableField(value = "dname")
    private String dname;
    /**
     * 就诊医生
     */
    @TableField(value = "dtname")
    private String dtname;

    /**
     * 疾病id
     */
    @TableField(value = "code")
    private Integer code;

    /**
     * 疾病名称
     */
    @TableField(value = "value")
    private String value;

    /**
     * 疾病分类：1普通疾病，2慢性病
     */
    @TableField(value = "illness_type")
    private Integer illnessType;

    /**
     * 慢性病：确诊后30天推送一次，间隔90天进行第二次推送。
     */
    @TableField(value = "push_count")
    private Integer pushCount;

    /**
     * 推送内容
     */
    @TableField(value = "content")
    private String content;

    /**
     * 推送时间
     */
    @TableField(value = "push_time")
    private Date pushTime;

    /**
     * 推送状态：0待推送。1：成功，2 失败
     */
    @TableField(value = "push_type")
    private Integer pushType;

    /**
     * 推送结果信息如：失败原因
     */
    @TableField(value = "push_result")
    private String pushResult;

    /**
     * 数据生成时间
     */
    @TableField(value = "created_time")
    private Date createdTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsPushIllnessMsg other = (LymsPushIllnessMsg) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPid() == null ? other.getPid() == null : this.getPid().equals(other.getPid()))
            && (this.getPhone() == null ? other.getPhone() == null : this.getPhone().equals(other.getPhone()))
            && (this.getPasswd() == null ? other.getPasswd() == null : this.getPasswd().equals(other.getPasswd()))
            && (this.getGzopenid() == null ? other.getGzopenid() == null : this.getGzopenid().equals(other.getGzopenid()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getIllnessType() == null ? other.getIllnessType() == null : this.getIllnessType().equals(other.getIllnessType()))
            && (this.getPushCount() == null ? other.getPushCount() == null : this.getPushCount().equals(other.getPushCount()))
            && (this.getContent() == null ? other.getContent() == null : this.getContent().equals(other.getContent()))
            && (this.getPushTime() == null ? other.getPushTime() == null : this.getPushTime().equals(other.getPushTime()))
            && (this.getPushType() == null ? other.getPushType() == null : this.getPushType().equals(other.getPushType()))
            && (this.getPushResult() == null ? other.getPushResult() == null : this.getPushResult().equals(other.getPushResult()))
            && (this.getCreatedTime() == null ? other.getCreatedTime() == null : this.getCreatedTime().equals(other.getCreatedTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPid() == null) ? 0 : getPid().hashCode());
        result = prime * result + ((getPhone() == null) ? 0 : getPhone().hashCode());
        result = prime * result + ((getPasswd() == null) ? 0 : getPasswd().hashCode());
        result = prime * result + ((getGzopenid() == null) ? 0 : getGzopenid().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getIllnessType() == null) ? 0 : getIllnessType().hashCode());
        result = prime * result + ((getPushCount() == null) ? 0 : getPushCount().hashCode());
        result = prime * result + ((getContent() == null) ? 0 : getContent().hashCode());
        result = prime * result + ((getPushTime() == null) ? 0 : getPushTime().hashCode());
        result = prime * result + ((getPushType() == null) ? 0 : getPushType().hashCode());
        result = prime * result + ((getPushResult() == null) ? 0 : getPushResult().hashCode());
        result = prime * result + ((getCreatedTime() == null) ? 0 : getCreatedTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", pid=").append(pid);
        sb.append(", phone=").append(phone);
        sb.append(", passwd=").append(passwd);
        sb.append(", gzopenid=").append(gzopenid);
        sb.append(", code=").append(code);
        sb.append(", illnessType=").append(illnessType);
        sb.append(", pushCount=").append(pushCount);
        sb.append(", content=").append(content);
        sb.append(", pushTime=").append(pushTime);
        sb.append(", pushType=").append(pushType);
        sb.append(", pushResult=").append(pushResult);
        sb.append(", createdTime=").append(createdTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}