package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 每天0点存入9点要推送的信息
 * @TableName lyms_push_messages
 */
@TableName(value ="lyms_push_messages")
@Data
public class LymsPushMessages implements Serializable {
    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 患者id
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 患者名称
     */
    @TableField(value = "pname")
    private String pname;

    /**
     * 患者手机号码，也是登录小程序账号
     */
    @TableField(value = "mobile")
    private String mobile;

    /**
     * 患者身份证号码
     */
    @TableField(value = "idno")
    private String idno;

    /**
     * 医院id
     */
    @TableField(value = "hid")
    private Integer hid;

    /**
     * 医院名称
     */
    @TableField(value = "hname")
    private String hname;

    /**
     * 科室id
     */
    @TableField(value = "did")
    private Integer did;

    /**
     * 科室名称
     */
    @TableField(value = "dname")
    private String dname;

    /**
     * 医生id
     */
    @TableField(value = "dtid")
    private Integer dtid;

    /**
     * 医生名称
     */
    @TableField(value = "dtname")
    private String dtname;

    /**
     * 疾病id
     */
    @TableField(value = "iid")
    private Integer iid;

    /**
     * 疾病名称
     */
    @TableField(value = "iname")
    private String iname;

    /**
     * 病例id
     */
    @TableField(value = "ilid")
    private Integer ilid;

    /**
     * 患者关注公众号openid
     */
    @TableField(value = "gzopenid")
    private String gzopenid;

    /**
     * 推送文章id
     */
    @TableField(value = "aid")
    private Integer aid;

    /**
     * 推送文章标题
     */
    @TableField(value = "atitle")
    private String atitle;

    /**
     * 推送文章内容
     */
    @TableField(value = "acontent")
    private String acontent;

    /**
     * 文章类型，推送文章按类别依次推送1-12
     * 1.治疗2.护理3.病因4.预防5.症状6.相关问题7.好发人群8.分型9.检查10.并发症11.鉴别12.定义
     */
    @TableField(value = "article_type")
    private Integer articleType;

    /**
     * 推送文章的序号
     */
    @TableField(value = "serialNumber")
    private Integer serialnumber;

    /**
     * 推送短文字1的内容
     */
    @TableField(value = "weix_text_one")
    private String weixTextOne;

    /**
     * 推送短文字2的内容
     */
    @TableField(value = "weix_text_two")
    private String weixTextTwo;

    /**
     * 是否推送短文字1内容：0不推送 1推送
     */
    @TableField(value = "isweixin_one")
    private Integer isweixinOne;

    /**
     * 是否推送短文字2内容：0不推送 1推送
     */
    @TableField(value = "isweixin_two")
    private Integer isweixinTwo;

    /**
     * 已推送列表id(lyms_pushedart表)
     */
    @TableField(value = "pushedart_id")
    private Integer pushedartId;

    /**
     * 推送时间
     */
    @TableField(value = "push_time")
    private Date pushTime;

    /**
     * 列表筛选条件startDate
     */
    @TableField(exist = false)
    private String startDate;

    /**
     * 列表筛选条件endDate
     */
    @TableField(exist = false)
    private String endDate;

    /**
     * 推送状态：0待推送（9点开始推送） 1成功 2失败。（在备注写失败原因）
     */
    @TableField(value = "state")
    private Integer state;
    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 创建时间
     */
    @TableField(value = "created_time")
    private Date createdTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsPushMessages other = (LymsPushMessages) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPid() == null ? other.getPid() == null : this.getPid().equals(other.getPid()))
            && (this.getPname() == null ? other.getPname() == null : this.getPname().equals(other.getPname()))
            && (this.getHid() == null ? other.getHid() == null : this.getHid().equals(other.getHid()))
            && (this.getHname() == null ? other.getHname() == null : this.getHname().equals(other.getHname()))
            && (this.getDid() == null ? other.getDid() == null : this.getDid().equals(other.getDid()))
            && (this.getDname() == null ? other.getDname() == null : this.getDname().equals(other.getDname()))
            && (this.getDtid() == null ? other.getDtid() == null : this.getDtid().equals(other.getDtid()))
            && (this.getDtname() == null ? other.getDtname() == null : this.getDtname().equals(other.getDtname()))
            && (this.getIid() == null ? other.getIid() == null : this.getIid().equals(other.getIid()))
            && (this.getIname() == null ? other.getIname() == null : this.getIname().equals(other.getIname()))
            && (this.getIlid() == null ? other.getIlid() == null : this.getIlid().equals(other.getIlid()))
            && (this.getGzopenid() == null ? other.getGzopenid() == null : this.getGzopenid().equals(other.getGzopenid()))
            && (this.getAid() == null ? other.getAid() == null : this.getAid().equals(other.getAid()))
            && (this.getAtitle() == null ? other.getAtitle() == null : this.getAtitle().equals(other.getAtitle()))
            && (this.getAcontent() == null ? other.getAcontent() == null : this.getAcontent().equals(other.getAcontent()))
            && (this.getSerialnumber() == null ? other.getSerialnumber() == null : this.getSerialnumber().equals(other.getSerialnumber()))
            && (this.getWeixTextOne() == null ? other.getWeixTextOne() == null : this.getWeixTextOne().equals(other.getWeixTextOne()))
            && (this.getWeixTextTwo() == null ? other.getWeixTextTwo() == null : this.getWeixTextTwo().equals(other.getWeixTextTwo()))
            && (this.getIsweixinOne() == null ? other.getIsweixinOne() == null : this.getIsweixinOne().equals(other.getIsweixinOne()))
            && (this.getIsweixinTwo() == null ? other.getIsweixinTwo() == null : this.getIsweixinTwo().equals(other.getIsweixinTwo()))
            && (this.getPushTime() == null ? other.getPushTime() == null : this.getPushTime().equals(other.getPushTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPid() == null) ? 0 : getPid().hashCode());
        result = prime * result + ((getPname() == null) ? 0 : getPname().hashCode());
        result = prime * result + ((getHid() == null) ? 0 : getHid().hashCode());
        result = prime * result + ((getHname() == null) ? 0 : getHname().hashCode());
        result = prime * result + ((getDid() == null) ? 0 : getDid().hashCode());
        result = prime * result + ((getDname() == null) ? 0 : getDname().hashCode());
        result = prime * result + ((getDtid() == null) ? 0 : getDtid().hashCode());
        result = prime * result + ((getDtname() == null) ? 0 : getDtname().hashCode());
        result = prime * result + ((getIid() == null) ? 0 : getIid().hashCode());
        result = prime * result + ((getIname() == null) ? 0 : getIname().hashCode());
        result = prime * result + ((getIlid() == null) ? 0 : getIlid().hashCode());
        result = prime * result + ((getGzopenid() == null) ? 0 : getGzopenid().hashCode());
        result = prime * result + ((getAid() == null) ? 0 : getAid().hashCode());
        result = prime * result + ((getAtitle() == null) ? 0 : getAtitle().hashCode());
        result = prime * result + ((getAcontent() == null) ? 0 : getAcontent().hashCode());
        result = prime * result + ((getSerialnumber() == null) ? 0 : getSerialnumber().hashCode());
        result = prime * result + ((getWeixTextOne() == null) ? 0 : getWeixTextOne().hashCode());
        result = prime * result + ((getWeixTextTwo() == null) ? 0 : getWeixTextTwo().hashCode());
        result = prime * result + ((getIsweixinOne() == null) ? 0 : getIsweixinOne().hashCode());
        result = prime * result + ((getIsweixinTwo() == null) ? 0 : getIsweixinTwo().hashCode());
        result = prime * result + ((getPushTime() == null) ? 0 : getPushTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", pid=").append(pid);
        sb.append(", pname=").append(pname);
        sb.append(", hid=").append(hid);
        sb.append(", hname=").append(hname);
        sb.append(", did=").append(did);
        sb.append(", dname=").append(dname);
        sb.append(", dtid=").append(dtid);
        sb.append(", dtname=").append(dtname);
        sb.append(", iid=").append(iid);
        sb.append(", iname=").append(iname);
        sb.append(", ilid=").append(ilid);
        sb.append(", gzopenid=").append(gzopenid);
        sb.append(", aid=").append(aid);
        sb.append(", atitle=").append(atitle);
        sb.append(", acontent=").append(acontent);
        sb.append(", serialnumber=").append(serialnumber);
        sb.append(", weixTextOne=").append(weixTextOne);
        sb.append(", weixTextTwo=").append(weixTextTwo);
        sb.append(", isweixinOne=").append(isweixinOne);
        sb.append(", isweixinTwo=").append(isweixinTwo);
        sb.append(", planTime=").append(pushTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}