package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 公众号推送 回访记录
 * @TableName lyms_push_visit_record
 */
@TableName(value ="lyms_push_visit_record")
@Data
public class LymsPushVisitRecord implements Serializable {
    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 患者id
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 患者姓名
     */
    @TableField(value = "pname")
    private String pname;

    /**
     * 疾病id
     */
    @TableField(value = "iid")
    private Integer iid;

    /**
     * 疾病名称
     */
    @TableField(value = "iiname")
    private String iiname;

    /**
     * 回访医生id
     */
    @TableField(value = "did")
    private Integer did;

    /**
     * 回访医生姓名
     */
    @TableField(value = "dname")
    private String dname;

    /**
     * 自动回复类型-1：第二天2：第五天3：第十天4：第二十天5：第三十天
     */
    @TableField(value = "type")
    private Integer type;

    /**
     * 回访内容
     */
    @TableField(value = "content")
    private String content;

    /**
     * 推送状态： 1成功 2失败。（在备注写失败原因）
     */
    @TableField(value = "state")
    private Integer state;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 医院id
     */
    @TableField(exist = false)
    private Integer hid;
    /**
     * 科室id
     */
    @TableField(exist = false)
    private Integer dpid;
    /**
     * 开始时间
     */
    @TableField(exist = false)
    private String stratTime;

    /**
     * 结束时间
     */
    @TableField(exist = false)
    private String endTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsPushVisitRecord other = (LymsPushVisitRecord) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPid() == null ? other.getPid() == null : this.getPid().equals(other.getPid()))
            && (this.getPname() == null ? other.getPname() == null : this.getPname().equals(other.getPname()))
            && (this.getIid() == null ? other.getIid() == null : this.getIid().equals(other.getIid()))
            && (this.getIiname() == null ? other.getIiname() == null : this.getIiname().equals(other.getIiname()))
            && (this.getDid() == null ? other.getDid() == null : this.getDid().equals(other.getDid()))
            && (this.getDname() == null ? other.getDname() == null : this.getDname().equals(other.getDname()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getContent() == null ? other.getContent() == null : this.getContent().equals(other.getContent()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPid() == null) ? 0 : getPid().hashCode());
        result = prime * result + ((getPname() == null) ? 0 : getPname().hashCode());
        result = prime * result + ((getIid() == null) ? 0 : getIid().hashCode());
        result = prime * result + ((getIiname() == null) ? 0 : getIiname().hashCode());
        result = prime * result + ((getDid() == null) ? 0 : getDid().hashCode());
        result = prime * result + ((getDname() == null) ? 0 : getDname().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getContent() == null) ? 0 : getContent().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", pid=").append(pid);
        sb.append(", pname=").append(pname);
        sb.append(", iid=").append(iid);
        sb.append(", iiname=").append(iiname);
        sb.append(", did=").append(did);
        sb.append(", dname=").append(dname);
        sb.append(", type=").append(type);
        sb.append(", content=").append(content);
        sb.append(", state=").append(state);
        sb.append(", remark=").append(remark);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}