package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName lyms_pushedart
 */
@TableName(value ="lyms_pushedart")
@Data
public class LymsPushedart implements Serializable {
    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 患者ID
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 文章ID
     */
    @TableField(value = "aid")
    private Integer aid;

    /**
     * 是否已读。0否,1是
     */
    @TableField(value = "isread")
    private Byte isread;

    /**
     * 提送时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 阅读时间
     */
    @TableField(value = "readtime")
    private Date readtime;

    /**
     * 是否推送短消息1（0否，1是 2推送失败）
     */
    @TableField(value = "isweixin_one")
    private Integer isweixinone;

    /**
     * 是否推送短消息2（0否，1是 2推送失败）
     */
    @TableField(value = "isweixin_two")
    private Integer isweixintwo;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsPushedart other = (LymsPushedart) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPid() == null ? other.getPid() == null : this.getPid().equals(other.getPid()))
            && (this.getAid() == null ? other.getAid() == null : this.getAid().equals(other.getAid()))
            && (this.getIsread() == null ? other.getIsread() == null : this.getIsread().equals(other.getIsread()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPid() == null) ? 0 : getPid().hashCode());
        result = prime * result + ((getAid() == null) ? 0 : getAid().hashCode());
        result = prime * result + ((getIsread() == null) ? 0 : getIsread().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", pid=").append(pid);
        sb.append(", aid=").append(aid);
        sb.append(", isread=").append(isread);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}