package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 医生回访记录
 * @TableName lyms_return_visit_record
 */
@TableName(value ="lyms_return_visit_record")
@Data
public class LymsReturnVisitRecord implements Serializable {
    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 回访医生dlogin
     */
    @TableField(value = "dlogin")
    private String dlogin;

    /**
     * 科室id
     */
    @TableField(value = "dpid")
    private Integer dpid;

    /**
     * 患者身份证
     */
    @TableField(value = "idno")
    private String idno;

    /**
     * 回访类型0：自动回访 1：医生回访
     */
    @TableField(value = "type")
    private Integer type;

    /**
     * 环信群组id
     */
    @TableField(value = "hxgroupid")
    private String hxgroupid;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    private Date updateTime;
    /**
     * 病例id
     */
    @TableField(value = "pcid")
    private Integer pcid;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsReturnVisitRecord other = (LymsReturnVisitRecord) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDlogin() == null ? other.getDlogin() == null : this.getDlogin().equals(other.getDlogin()))
            && (this.getDpid() == null ? other.getDpid() == null : this.getDpid().equals(other.getDpid()))
            && (this.getIdno() == null ? other.getIdno() == null : this.getIdno().equals(other.getIdno()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getHxgroupid() == null ? other.getHxgroupid() == null : this.getHxgroupid().equals(other.getHxgroupid()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDlogin() == null) ? 0 : getDlogin().hashCode());
        result = prime * result + ((getDpid() == null) ? 0 : getDpid().hashCode());
        result = prime * result + ((getIdno() == null) ? 0 : getIdno().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getHxgroupid() == null) ? 0 : getHxgroupid().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", dlogin=").append(dlogin);
        sb.append(", dpid=").append(dpid);
        sb.append(", idno=").append(idno);
        sb.append(", type=").append(type);
        sb.append(", hxgroupid=").append(hxgroupid);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}