package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 问诊记录
 * @TableName lyms_tkrecord
 */
@TableName(value ="lyms_tkrecord")
@Data
@ToString
public class LymsTkrecord implements Serializable {

    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 患者id
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 问诊医生
     */
    @TableField(value = "did")
    private Integer did;

    /**
     * 病例id
     */
    @TableField(value = "pcid")
    private Integer pcid;
    /**
     * 问诊卡编号
     */
    @TableField(value = "cid")
    private Integer cid;

    /**
     * 购买来源;1小程序，2医院
     */
    @TableField(value = "fid")
    private Byte fid;

    /**
     * 问诊状态
     */
    @TableField(value = "stat")
    private Integer stat;


    /**
     * 创建人
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime",fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdtime;

    /**
     * 更新人
     */
    @TableField(value = "updatedby")
    private Integer updatedby;

    /**
     * 更新时间
     */
    @TableField(value = "updatedtime",fill = FieldFill.UPDATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedtime;
    /**
     * 环信群组ID
     */
    @TableField(value="hxgroupid")
    private String hxgroupid;

    /**
     * 发起聊天状态
     * 1：医生回访
     */
    @TableField(exist = false)
    private Integer type;

    /**
     * 回访医生dlogin
     */
    @TableField(exist = false)
    private String retDlogin;

}