package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 
 * @TableName patient_info
 */
@TableName(value ="patient_info")
@Data
public class PatientInfo implements Serializable {
    /**
     * id
     */
    @TableField(value = "id")
    private Integer id;

    /**
     * 患者姓名
     */
    @TableField(value = "pname")
    private String pname;

    /**
     * 身份证号
     */
    @TableField(value = "idno")
    private String idno;

    /**
     * 登录密码
     */
    @TableField(value = "ppasswd")
    private String ppasswd;

    /**
     * 性别
     */
    @TableField(value = "sex")
    private Integer sex;

    /**
     * 问诊卡数量
     */
    @TableField(value = "ccnt")
    private Integer ccnt;

    @TableField(value = "birth")
    private String birth;//出生日期

    /**
     * 环信对应标识
     */
    @TableField(value = "hxid")
    private String hxid;

    /**
     * 创建人
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 病例id
     */
    @TableField(value = "cid")
    private Integer cid;

    /**
     * 病例手机号
     */
    @TableField(value = "mobile")
    private String mobile;
    /**
     * 注册手机号
     */
    @TableField(value = "enrolmentPhone")
    private String enrolmentPhone;

    /**
     * 填写医院id
     */
    @TableField(value = "hid")
    private Integer hid;

    /**
     * 就诊医院名称
     */
    @TableField(value = "hname")
    private String hname;

    /**
     * 填写科室id
     */
    @TableField(value = "did")
    private Integer did;

    /**
     * 科室名称
     */
    @TableField(value = "dname")
    private String dname;

    /**
     * 就诊医生
     */
    @TableField(value = "dtid")
    private Integer dtid;

    /**
     * 就诊医生姓名
     */
    @TableField(value = "dtname")
    private String dtname;

    /**
     * 疾病ID
     */
    @TableField(value = "iid")
    private Integer iid;

    /**
     * 疾病名称
     */
    @TableField(value = "iname")
    private String iname;

    @TableField(value = "ilid")//疾病行ID
    private Integer ilid;

    @TableField(value="headimg")
    private String headimg;//患者头像


    @TableField(value = "createdtime")
    private Date createdtime;//病例创建时间

    /**
     * 用户的公众号id
     */
    @TableField(value = "gzopenid")
    private String gzopenid;
    /**
     * 综合查询（姓名/电话/身份证）
     */
    @TableField(exist = false)
    private String synthesisQuery;
    /**
     * his系统就诊时间、就诊时间
     */
    @TableField(value = "created")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date created;

    @TableField(value="height")
    private String height;//身高

    @TableField(value="weight")
    private String weight;//体重
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public String toString() {
        return "PatientInfo{" +
                "id=" + id +
                ", pname='" + pname + '\'' +
                ", idno='" + idno + '\'' +
                ", ppasswd='" + ppasswd + '\'' +
                ", sex=" + sex +
                ", ccnt=" + ccnt +
                ", birth='" + birth + '\'' +
                ", hxid='" + hxid + '\'' +
                ", createdby=" + createdby +
                ", cid=" + cid +
                ", mobile='" + mobile + '\'' +
                ", enrolmentPhone='" + enrolmentPhone + '\'' +
                ", hid=" + hid +
                ", hname='" + hname + '\'' +
                ", did=" + did +
                ", dname='" + dname + '\'' +
                ", dtid=" + dtid +
                ", dtname='" + dtname + '\'' +
                ", iid=" + iid +
                ", iname='" + iname + '\'' +
                ", ilid=" + ilid +
                ", headimg='" + headimg + '\'' +
                ", createdtime=" + createdtime +
                ", gzopenid='" + gzopenid + '\'' +
                ", synthesisQuery='" + synthesisQuery + '\'' +
                ", created=" + created +
                ", height='" + height + '\'' +
                ", weight='" + weight + '\'' +
                '}';
    }
}