package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 推送文章视图
 * @TableName push_article
 */
@TableName(value ="push_article")
@Data
public class PushArticle implements Serializable {
    /**
     * 患者id
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 患者姓名
     */
    @TableField(value = "pname")
    private String pname;

    /**
     * 身份证号
     */
    @TableField(value = "idno")
    private String idno;

    /**
     * 登录密码
     */
    @TableField(value = "ppasswd")
    private String ppasswd;

    /**
     * 性别
     */
    @TableField(value = "sex")
    private Integer sex;

    /**
     * 问诊卡数量
     */
    @TableField(value = "ccnt")
    private Integer ccnt;

    /**
     * 环信对应标识
     */
    @TableField(value = "hxid")
    private String hxid;

    /**
     * 出生日期
     */
    @TableField(value = "birth")
    private String birth;

    /**
     * 创建人
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 患者头像
     */
    @TableField(value = "headimg")
    private String headimg;

    /**
     * 病例id
     */
    @TableField(value = "cid")
    private Integer cid;

    /**
     * 手机号
     */
    @TableField(value = "mobile")
    private String mobile;

    /**
     * 填写医院id
     */
    @TableField(value = "hid")
    private Integer hid;

    /**
     * 就诊医院名称
     */
    @TableField(value = "hname")
    private String hname;

    /**
     * 填写科室id
     */
    @TableField(value = "did")
    private Integer did;

    /**
     * 科室名称
     */
    @TableField(value = "dname")
    private String dname;

    /**
     * 就诊医生id
     */
    @TableField(value = "dtid")
    private Integer dtid;

    /**
     * 就诊医生姓名
     */
    @TableField(value = "dtname")
    private String dtname;

    /**
     * 病例创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 疾病ID
     */
    @TableField(value = "iid")
    private Integer iid;

    /**
     * 疾病名称
     */
    @TableField(value = "iname")
    private String iname;

    /**
     * 疾病行ID
     */
    @TableField(value = "ilid")
    private Integer ilid;

    /**
     * 文章id
     */
    @TableField(value = "aid")
    private Integer aid;

    /**
     * 短文字1（公众号推送内容）
     */
    @TableField(value = "weixTextOne")
    private String weixTextOne;

    /**
     * 短文字2（公众号推送内容）
     */
    @TableField(value = "weixTextTwo")
    private String weixTextTwo;

    /**
     * 患者关注公众号openid
     */
    @TableField(value = "gzopenid")
    private String gzopenid;

    /**
     * 推送文章标题
     */
    @TableField(value = "atitle")
    private String atitle;

    /**
     * 推送文章内容
     */
    @TableField(value = "acontent")
    private String acontent;

    /**
     * 文章类型，推送文章按类别依次推送1-12
     * 1.治疗2.护理3.病因4.预防5.症状6.相关问题7.好发人群8.分型9.检查10.并发症11.鉴别12.定义
     */
    @TableField(value = "articleType")
    private Integer articleType;

    /**
     * 推送文章的序号
     */
    @TableField(value = "serialNumber")
    private Integer serialnumber;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        PushArticle other = (PushArticle) that;
        return (this.getPid() == null ? other.getPid() == null : this.getPid().equals(other.getPid()))
            && (this.getPname() == null ? other.getPname() == null : this.getPname().equals(other.getPname()))
            && (this.getIdno() == null ? other.getIdno() == null : this.getIdno().equals(other.getIdno()))
            && (this.getPpasswd() == null ? other.getPpasswd() == null : this.getPpasswd().equals(other.getPpasswd()))
            && (this.getSex() == null ? other.getSex() == null : this.getSex().equals(other.getSex()))
            && (this.getCcnt() == null ? other.getCcnt() == null : this.getCcnt().equals(other.getCcnt()))
            && (this.getHxid() == null ? other.getHxid() == null : this.getHxid().equals(other.getHxid()))
            && (this.getBirth() == null ? other.getBirth() == null : this.getBirth().equals(other.getBirth()))
            && (this.getCreatedby() == null ? other.getCreatedby() == null : this.getCreatedby().equals(other.getCreatedby()))
            && (this.getHeadimg() == null ? other.getHeadimg() == null : this.getHeadimg().equals(other.getHeadimg()))
            && (this.getCid() == null ? other.getCid() == null : this.getCid().equals(other.getCid()))
            && (this.getMobile() == null ? other.getMobile() == null : this.getMobile().equals(other.getMobile()))
            && (this.getHid() == null ? other.getHid() == null : this.getHid().equals(other.getHid()))
            && (this.getHname() == null ? other.getHname() == null : this.getHname().equals(other.getHname()))
            && (this.getDid() == null ? other.getDid() == null : this.getDid().equals(other.getDid()))
            && (this.getDname() == null ? other.getDname() == null : this.getDname().equals(other.getDname()))
            && (this.getDtid() == null ? other.getDtid() == null : this.getDtid().equals(other.getDtid()))
            && (this.getDtname() == null ? other.getDtname() == null : this.getDtname().equals(other.getDtname()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()))
            && (this.getIid() == null ? other.getIid() == null : this.getIid().equals(other.getIid()))
            && (this.getIname() == null ? other.getIname() == null : this.getIname().equals(other.getIname()))
            && (this.getIlid() == null ? other.getIlid() == null : this.getIlid().equals(other.getIlid()))
            && (this.getAid() == null ? other.getAid() == null : this.getAid().equals(other.getAid()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getPid() == null) ? 0 : getPid().hashCode());
        result = prime * result + ((getPname() == null) ? 0 : getPname().hashCode());
        result = prime * result + ((getIdno() == null) ? 0 : getIdno().hashCode());
        result = prime * result + ((getPpasswd() == null) ? 0 : getPpasswd().hashCode());
        result = prime * result + ((getSex() == null) ? 0 : getSex().hashCode());
        result = prime * result + ((getCcnt() == null) ? 0 : getCcnt().hashCode());
        result = prime * result + ((getHxid() == null) ? 0 : getHxid().hashCode());
        result = prime * result + ((getBirth() == null) ? 0 : getBirth().hashCode());
        result = prime * result + ((getCreatedby() == null) ? 0 : getCreatedby().hashCode());
        result = prime * result + ((getHeadimg() == null) ? 0 : getHeadimg().hashCode());
        result = prime * result + ((getCid() == null) ? 0 : getCid().hashCode());
        result = prime * result + ((getMobile() == null) ? 0 : getMobile().hashCode());
        result = prime * result + ((getHid() == null) ? 0 : getHid().hashCode());
        result = prime * result + ((getHname() == null) ? 0 : getHname().hashCode());
        result = prime * result + ((getDid() == null) ? 0 : getDid().hashCode());
        result = prime * result + ((getDname() == null) ? 0 : getDname().hashCode());
        result = prime * result + ((getDtid() == null) ? 0 : getDtid().hashCode());
        result = prime * result + ((getDtname() == null) ? 0 : getDtname().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        result = prime * result + ((getIid() == null) ? 0 : getIid().hashCode());
        result = prime * result + ((getIname() == null) ? 0 : getIname().hashCode());
        result = prime * result + ((getIlid() == null) ? 0 : getIlid().hashCode());
        result = prime * result + ((getAid() == null) ? 0 : getAid().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", pid=").append(pid);
        sb.append(", pname=").append(pname);
        sb.append(", idno=").append(idno);
        sb.append(", ppasswd=").append(ppasswd);
        sb.append(", sex=").append(sex);
        sb.append(", ccnt=").append(ccnt);
        sb.append(", hxid=").append(hxid);
        sb.append(", birth=").append(birth);
        sb.append(", createdby=").append(createdby);
        sb.append(", headimg=").append(headimg);
        sb.append(", cid=").append(cid);
        sb.append(", mobile=").append(mobile);
        sb.append(", hid=").append(hid);
        sb.append(", hname=").append(hname);
        sb.append(", did=").append(did);
        sb.append(", dname=").append(dname);
        sb.append(", dtid=").append(dtid);
        sb.append(", dtname=").append(dtname);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", iid=").append(iid);
        sb.append(", iname=").append(iname);
        sb.append(", ilid=").append(ilid);
        sb.append(", aid=").append(aid);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}