package com.lyms.talkonlineweb.enums;

import lombok.Getter;

/**
 * @ProjectName: talkonline
 * @Package: com.lyms.talkonlineweb.enums
 * @ClassName: PayStatus
 * @Author: lqy
 * @Description: 订单支付状态
 * @Date: 2021-09-11 10:23
 * @Version:
 */
@Getter
public enum PayStatus {
//订单生成(0),支付成功(1),处理完成(2),处理失败(-1)
    CREATED(0, "订单生成"),
    SUCCESS(1, "支付成功"),
    COMPLITE(2, "处理完成"),
    FAIL(-1, "处理失败");

    private Integer code;
    private String name;

    PayStatus(Integer code, String name){
        this.code = code;
        this.name = name;
    }

    public static String getName(Integer code) {
        PayStatus[] values = PayStatus.values();
        for (PayStatus value : values) {
            if (value.getCode().equals(code)) {
                return value.getName();
            }
        }
        return "";
    }
}
