package com.lyms.talkonlineweb.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * 首页统计使用
 */
public interface IndexMapper {

    //今日访问人数
    @Select("SELECT COUNT(*) cnt FROM lyms_logs l WHERE DATE(l.`log_date`)=DATE(NOW())")
    public Map<String,Object> getCurDayVs();

    //得到最近1个月的访问量
    @Select("SELECT DATE(l.`log_date`) dt, COUNT(*) cnt FROM lyms_logs l WHERE l.`log_date`>DATE_SUB(now(),INTERVAL 1 MONTH)  GROUP BY  DATE(l.`log_date`)")
    public List<Map<String,Object>> getLastMonthVs();

//    总访问人数
    @Select("SELECT COUNT(*) cnt FROM lyms_logs l")
    public Map<String,Object> getSumVsCnt();

//    今日问诊量
    @Select("select count(1) cnt from lyms_tkrecord tk where date(tk.createdtime)=date(NOW()) ")
    public Map<String,Object> getCurDaysTk();

    @Select("SELECT DATE(tk.createdtime) dt,COUNT(1) cnt FROM lyms_tkrecord tk WHERE tk.createdtime > DATE_SUB(NOW(),INTERVAL 1 MONTH)    GROUP BY DATE(tk.createdtime)")
    public List<Map<String,Object>> getLastMonthTk();

    @Select("select count(1) cnt from lyms_tkrecord tk ")
    public Map<String,Object> getSumTkCnt();

    //    今日完成问诊量
    @Select("select count(1) cnt from lyms_tkrecord tk where stat=1 and date(tk.createdtime)=date(NOW()) ")
    public Map<String,Object> getCurDaysTkFs();

    @Select("SELECT DATE(tk.createdtime) dt,COUNT(1) cnt FROM lyms_tkrecord tk WHERE  stat=1 and tk.createdtime > DATE_SUB(NOW(),INTERVAL 1 MONTH)    GROUP BY DATE(tk.createdtime)")
    public List<Map<String,Object>> getLastMonthTkFs();

    @Select("select count(1) cnt from lyms_tkrecord tk where  stat=1 ")
    public Map<String,Object> getSumTkCntFs();

    @Select("SELECT searchtxt,COUNT(1) cnt FROM lyms_searchlogs s GROUP BY searchtxt ORDER BY cnt DESC LIMIT 5")
    List<Map<String,Object>> getSearch();

    @Select("SELECT  COUNT(1) cnt FROM lyms_searchlogs s ")
    Map<String,Object> getSearchSum();

//    科室类别占比
    @Select("SELECT hd.`dname`,COUNT(1) cnt FROM lyms_tkrecord tk,lyms_doctor d,lyms_hdepart hd WHERE tk.`did`=d.`did` AND d.`dpid`=hd.`did` ${hSql} GROUP BY hd.`dname`")
    List<Map<String,Object>> getDepart(@Param("hSql") String hSql);

    @Select("SELECT DATE(s.`createdtime`) dt,COUNT(1) cnt FROM lyms_searchlogs s GROUP BY DATE(s.`createdtime`) ORDER BY cnt DESC LIMIT 7")
    List<Map<String,Object>> getSearchByDay();
}
