package com.lyms.talkonlineweb.mapper;

import com.lyms.talkonlineweb.domain.LymsArticle;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sun.corba.se.impl.ior.OldJIDLObjectKeyTemplate;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * @Entity com.lyms.talkonlineweb.domain.LymsArticle
 */
public interface LymsArticleMapper extends BaseMapper<LymsArticle> {

    @Select("SELECT * FROM lyms_article a WHERE a.`stat`=1 AND a.`aid` NOT IN (SELECT aid FROM lyms_pushedart)")
    List<LymsArticle> sltNeedPush();

    @Select("SELECT COUNT(1) allcnt,SUM(CASE WHEN DATE(a.`createdtime`)=DATE(NOW()) THEN 1 END) ncnt FROM lyms_article a")
    List<Map<String, Object>> getArtStat();

//    今日推荐
    @Select("SELECT COUNT(1) cnt FROM lyms_pushedart WHERE DATE(createdtime)=DATE(NOW())")
    Map<String, Object> todayPush();
//    今日已读
    @Select("SELECT COUNT(1) cnt FROM lyms_pushedart WHERE  DATE(readtime)=DATE(NOW()) AND isread=1")
    Map<String, Object> todayRead();

    @Select("SELECT COUNT(1) cnt FROM lyms_pushedart")
    Map<String, Object> sumPush();

    @Select("SELECT MAX(serial_number) FROM `lyms_article` WHERE iid=#{iid}")
    Integer getSerialNumber(@Param("iid") Integer iid);
}




