package com.lyms.talkonlineweb.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.lyms.talkonlineweb.domain.LymsPatient;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;
import java.util.Map;

/**
 * @Entity com.lyms.talkonlineweb.domain.LymsPatient
 */
@Mapper
public interface LymsPatientMapper extends BaseMapper<LymsPatient> {

    @Update(" UPDATE lyms_patient  SET ccnt = ccnt+#{cnt}  WHERE id = #{id}")
    int updatePatientCcnt(@Param("cnt") Integer cnt, @Param("id") Integer id);

    @Select("select" +
            " ho.hid,ho.hname \n" +
            "from\n" +
            " lyms_patient pa\n" +
            "left join lyms_pcase pc on pc.pid=pa.id\n" +
            "left join lyms_hospital ho on ho.hid=pc.hid\n" +
            "where pa.id=#{patientId}\n" +
            "GROUP BY pc.hid\n" +
            "order by pc.createdtime desc")
    List<Map<String,String>> getAppPatientHospital(@Param("patientId") Integer patientId);

    @Select({"<script>",
                "SELECT "+
                    "p.id,p.pname,p.idno,p.sex,p.birth,p.createdtime " +
                "FROM "+
                    "lyms_patient p "+
                    "LEFT JOIN lyms_pcase pc ON p.id = pc.pid "+
                "<where>${ew.sqlSegment}</where> "+
                "GROUP BY p.idno "+
            "</script>"})
    List<Map> getPatient(@Param("ew")QueryWrapper ew);

    @Select("SELECT " +
            "p.id," +
            "p.pname," +
            "p.idno," +
            "p.hxid," +
            "pc.pcid," +
            "pc.did," +
            "pc.dname," +
            "dc.dlogin," +
            "pc.createdtime " +
            "FROM " +
            "lyms_patient p " +
            "INNER JOIN lyms_pcase pc ON pc.pid = p.id " +
            "INNER JOIN lyms_doctor dc ON dc.did=pc.dtid ")
    List<Map<String,Object>> getPcInfoList();
}




