package com.lyms.talkonlineweb.mapper;

import com.lyms.talkonlineweb.domain.LymsPermission;
import com.lyms.talkonlineweb.domain.LymsRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @Entity com.lyms.talkonlineweb.domain.LymsRole
 */
public interface LymsRoleMapper extends BaseMapper<LymsRole> {

    @Select(" SELECT * FROM lyms_role r,lyms_userrole ur WHERE ur.`rid`=r.`rid` AND ur.`uid`= #{uid}  ")
    List<LymsRole> sltRoleByUser(@Param("uid") int uid);

    @Delete("delete FROM lyms_rolepermiss  WHERE `rid` =#{rid} ")
    int delPersByRole(@Param("rid") int rid);

    @Insert("insert lyms_rolepermiss(rid,pid) values(#{rid},#{pid})")
    int addRoleByPerms(@Param("rid") int rid, @Param("pid") int pid);

    @Select("SELECT * FROM lyms_rolepermiss rp,lyms_permission p WHERE p.`id`=rp.`pid` AND rp.`rid`= #{rid} order by p.id ")
    List<LymsPermission> getPersByRid(@Param("rid") int rid);
}




