package com.lyms.talkonlineweb.mapper;


import com.lyms.talkonlineweb.domain.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper

public interface TkRecordStatMapper {

    /**
     * 今日问诊量
     * @param hid
     * @return
     */
    @Select({"<script>",
            "select hid,hours ",
            "<choose>",
                "<when test='hid!=null'>",
                    ",hcount ",
                "</when>",
                "<otherwise>",
                    ",sum(hcount) as hcount ",
                "</otherwise>",
            "</choose>",
            "from tkRecordStat_h_info",
            "where 1=1",
            "<choose>",
                "<when test='hid!=null'>",
                    "and hid=#{hid}",
                "</when>",
                "<otherwise>",
                    "GROUP BY hours",
                "</otherwise>",
            "</choose>",
            "ORDER BY hours ASC",
            "</script>"})
    public List<TkRecordStatHInfo> getTkRecordStatH(@Param("hid") Integer hid);

    /**
     * 本周问诊量
     * @param hid
     * @return
     */
    @Select({"<script>",
            "select hid,theweek ",
            "<choose>",
                "<when test='hid!=null'>",
                    ",dcount ",
                "</when>",
                "<otherwise>",
                    ",sum(dcount) as dcount ",
                "</otherwise>",
            "</choose>",
            "from tkRecordStat_w_info",
            "where 1=1",
            "<choose>",
                "<when test='hid!=null'>",
                    "and hid=#{hid}",
                "</when>",
                "<otherwise>",
                    "GROUP BY theweek",
                "</otherwise>",
            "</choose>",
            "ORDER BY theweek ASC",
            "</script>"})
    List<TkRecordStatWInfo> getTkRecordStatW(@Param("hid") Integer hid);

    /**
     * 本月问诊量
     * @param hid
     * @return
     */
    @Select({"<script>",
            "select hid,days ",
            "<choose>",
                "<when test='hid!=null'>",
                    ",dcount ",
                "</when>",
                "<otherwise>",
                    ",sum(dcount) as dcount ",
                "</otherwise>",
            "</choose>",
            "from tkRecordStat_m_info",
            "where 1=1",
            "<choose>",
                "<when test='hid!=null'>",
                    "and hid=#{hid}",
                "</when>",
                "<otherwise>",
                    "GROUP BY days",
                "</otherwise>",
            "</choose>",
            "ORDER BY days ASC",
            "</script>"})
    List<TkRecordStatMInfo> getTkRecordStatM(@Param("hid") Integer hid);

    /**
     * 本年问诊量
     * @param hid
     * @return
     */
    @Select({"<script>",
            "select hid,months ",
            "<choose>",
                "<when test='hid!=null'>",
                    ",mcount ",
                "</when>",
                "<otherwise>",
                    ",sum(mcount) as mcount ",
                "</otherwise>",
            "</choose>",
            "from tkRecordStat_y_info",
            "where 1=1",
            "<choose>",
                "<when test='hid!=null'>",
                    "and hid=#{hid}",
                "</when>",
                "<otherwise>",
                    "GROUP BY months",
                "</otherwise>",
            "</choose>",
            "ORDER BY months ASC",
            "</script>"})
    List<TkRecordStatYInfo> getTkRecordStatY(@Param("hid") Integer hid);
    /**
     * 日期筛选问诊量
     * @param hid
     * @return
     */
    @Select({"<script>",
            "select hid,days",
            "<choose>",
                "<when test='hid!=null'>",
                    ",dcount ",
                "</when>",
                "<otherwise>",
                    ",sum(dcount) as dcount ",
                "</otherwise>",
            "</choose>",
            "from tkRecordStat_date_info",
            "where 1=1",
//            "<![CDATA[ and DATE(days)>=DATE(#{startdate}) and DATE(days)<=DATE(#{enddate}) ]]>",
            "<![CDATA[ and (days between #{startdate} and #{enddate}) ]]>",
            "<choose>",
                "<when test='hid!=null'>",
                    "and hid=#{hid}",
                "</when>",
                "<otherwise>",
                    "GROUP BY days",
                "</otherwise>",
            "</choose>",
            "ORDER BY days ASC",
            "</script>"})
    List<TkRecordStatDateInfo> getTkRecordStatDate(@Param("startdate") String startdate,@Param("enddate") String enddate,@Param("hid") Integer hid);

    /**
     * 医院问诊量排名
     * @param hid
     * @return
     */
    @Select("select hid,hname,total from tkRecordStat_ranking_info")
    List<TkRecordStatRankingInfo> getTkRecordStatRanking();

    /**
     * 首页-转化率-全部医院分时段筛选转化率
     * @return
     */
    @Select({"<script>",
            "select ",
            "ho.hid,ho.hname,a.conversion ",
            "from lyms_hospital ho",
            "left join (",
                "select",
                " ldate,hid,hname,sum(visits) as 'visits',sum(dcount) as 'dcount',TRUNCATE(sum(dcount)/sum(visits)*100,0) as 'conversion'",
                "from logsRecord_Visits_info",
                "where 1=1",
                "<choose>",
                    "<when test='startdate!=null and enddate!=null' >",
                        "<![CDATA[ and (ldate between #{startdate} and #{enddate}) ]]>",
                    "</when>",
                    "<otherwise>",
                        "<![CDATA[ and date_format(ldate,'%Y-%m') = date_format(NOW(),'%Y-%m') ]]>",
                    "</otherwise>",
                "</choose>",
                "GROUP BY hid",
                "ORDER BY ldate ASC",
            ") a on a.hid=ho.hid",
            "</script>"})
    List<LogsRecordVisitsInfo> getLogsRecordVisits(@Param("startdate") String startdate,@Param("enddate") String enddate);

    /**
     * 首页-转化率-按医院分时段筛选-访问量和问诊量
     * @return
     */
    @Select({"<script>",
            "select",
            " ldate,hid,hname,visits,dcount",
            "from logsRecord_Visits_info",
            "where hid=#{hid}",
            "<choose>",
                "<when test='startdate!=null and enddate!=null' >",
                    "<![CDATA[ and (ldate between #{startdate} and #{enddate}) ]]>",
                "</when>",
                "<otherwise>",
                    "<![CDATA[ and date_format(ldate,'%Y-%m') = date_format(NOW(),'%Y-%m') ]]>",
                "</otherwise>",
            "</choose>",
            "ORDER BY ldate ASC",
            "</script>"})
    List<LogsRecordVisitsInfo> getLogsRecordRecord(@Param("startdate") String startdate,@Param("enddate") String enddate,@Param("hid") Integer hid);
}
