package com.lyms.talkonlineweb.service;

import com.lyms.talkonlineweb.domain.LymsPermission;
import com.lyms.talkonlineweb.domain.LymsRole;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 *
 */
public interface LymsRoleService extends IService<LymsRole> {

    /**
     * 根据用户获取角色
     * @param uid
     * @return
     */
    List<LymsRole> getRolesByUid(int uid);

    /**
     * 角色权限关系表
     * @param rid
     * @param pid
     * @return
     */
    int addRoleByPerms(int rid, int pid);

    /**
     * 删除角色权限关系
     * @param rid
     * @return
     */
    int delPersByRole(int rid);

    /**
     * 根据角色获取权限
     * @param rid
     * @return
     */
    List<LymsPermission> getPersByRid(int rid);
}
