package com.lyms.talkonlineweb.service.impl;

import com.lyms.talkonlineweb.mapper.IndexMapper;
import com.lyms.talkonlineweb.service.IndexService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;

@Service
public class IndexServiceImpl implements IndexService {
    @Autowired
    private IndexMapper indexMapper;

    @Override
    public Map<String, Object> getVsStat() {
        Map<String, Object> rs=new HashMap<>();
//        访问统计
        rs.put("curVsDay",indexMapper.getCurDayVs());
        rs.put("lastVsCnt",indexMapper.getLastMonthVs());
        rs.put("sumVsCnt",indexMapper.getSumVsCnt());

//        问诊统计
        rs.put("curDayTkcnt",indexMapper.getCurDaysTk());
        rs.put("lastTkCnt",indexMapper.getLastMonthTk());
        rs.put("sumTkCnt",indexMapper.getSumTkCnt());

//             完成问诊统计
        rs.put("curDayTkcntFs",indexMapper.getCurDaysTkFs());
        rs.put("lastTkCntFs",indexMapper.getLastMonthTkFs());
        rs.put("sumTkCntFs",indexMapper.getSumTkCntFs());

//        热门搜索
        rs.put("serch",indexMapper.getSearch());
        rs.put("serchByDay",indexMapper.getSearchByDay());
        rs.put("serchSum",indexMapper.getSearchSum());

//        科室类别占比
        List<Map<String,Object>> dLst=indexMapper.getDepart("");
        rs.put("depart",dLst);
        rs.put("departCnt",dLst.stream().mapToInt(m-> Math.toIntExact((long) m.get("cnt"))).sum());

        return rs;
    }

    @Override
    public Map<String, Object> getDepartStat(Map<String, Object> param) {
        Map<String, Object> rs=new HashMap<>();
        String hSql="";
        if(Objects.nonNull(param.get("hid"))){
            hSql=" AND hd.`hid`= "+param.get("hid");
        }
        //        科室类别占比
        List<Map<String,Object>> dLst=indexMapper.getDepart(hSql);
        rs.put("depart",dLst);
        rs.put("departCnt",dLst.stream().mapToInt(m-> Math.toIntExact((long) m.get("cnt"))).sum());
        return rs;
    }
}
