package com.lyms.talkonlineweb.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lyms.talkonlineweb.domain.LymsArticle;
import com.lyms.talkonlineweb.service.LymsArticleService;
import com.lyms.talkonlineweb.mapper.LymsArticleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 */
@Service
public class LymsArticleServiceImpl extends ServiceImpl<LymsArticleMapper, LymsArticle>
    implements LymsArticleService{

    @Autowired
    private LymsArticleMapper lymsArticleMapper;

    @Override
    public List<LymsArticle> sltNeedPush() {
        return lymsArticleMapper.sltNeedPush();
    }

    @Override
    public List<Map<String, Object>> getArtStat() {
        return lymsArticleMapper.getArtStat();
    }

    @Override
    public Map<String, Object> getArtPushStat() {
        Map<String, Object> rs=new HashMap<>();
        //今日推荐
        Map<String, Object> todayPush=lymsArticleMapper.todayPush();
        rs.put("todayPush",todayPush.get("cnt"));

        Map<String,Object> todayRead=lymsArticleMapper.todayRead();
        rs.put("todayRead",todayRead.get("cnt"));

        Map<String,Object> sumPush=lymsArticleMapper.sumPush();
        rs.put("sumPush",sumPush.get("cnt"));


        return rs;
    }

    @Override
    public Integer getSerialNumber(Integer iid) {
        return lymsArticleMapper.getSerialNumber(iid);
    }
}




