package com.lyms.talkonlineweb.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lyms.talkonlineweb.domain.LymsDoctor;
import com.lyms.talkonlineweb.service.LymsDoctorService;
import com.lyms.talkonlineweb.mapper.LymsDoctorMapper;
import com.lyms.talkonlineweb.util.Constant;
import com.lyms.talkonlineweb.util.HXService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 *
 */
@Service
public class LymsDoctorServiceImpl extends ServiceImpl<LymsDoctorMapper, LymsDoctor>
    implements LymsDoctorService{

    @Resource
    private LymsDoctorMapper lymsDoctorMapper;

    @Autowired
    private HXService hxService;

    @Override
    public Map<String, Object> statDoctor(Integer hid,Integer dpid,String dname) {
        return lymsDoctorMapper.statDoctor(hid,dpid,dname);
    }

    @Override
    public LymsDoctor addDoctorHxId(LymsDoctor lymsDoctor) {
        JSONObject hxDockerUserJSON = hxService.getUser(lymsDoctor.getDlogin());
        if (hxDockerUserJSON != null && hxDockerUserJSON.getJSONArray("entities") != null && hxDockerUserJSON.getJSONArray("entities").size() > 0) {
            lymsDoctor.setHxid(hxDockerUserJSON.getJSONArray("entities").getJSONObject(0).getString("uuid"));
            updateById(lymsDoctor);
        } else {
            JSONObject json = hxService.addUser(lymsDoctor.getDlogin(), Constant.COMMON_PASSWD, lymsDoctor.getDname());
            JSONArray rArr = json.getJSONArray("entities");
            if (rArr.size() > 0) {
                lymsDoctor.setHxid(rArr.getJSONObject(0).getString("uuid"));
                updateById(lymsDoctor);
            }
        }
        return lymsDoctor;
    }
}




