package com.lyms.talkonlineweb.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lyms.talkonlineweb.domain.LymsAttention;
import com.lyms.talkonlineweb.domain.LymsOrder;
import com.lyms.talkonlineweb.domain.LymsPatient;
import com.lyms.talkonlineweb.domain.LymsTcard;
import com.lyms.talkonlineweb.enums.PayStatus;
import com.lyms.talkonlineweb.mapper.LymsAttentionMapper;
import com.lyms.talkonlineweb.mapper.LymsOrderMapper;
import com.lyms.talkonlineweb.mapper.LymsPatientMapper;
import com.lyms.talkonlineweb.mapper.LymsTcardMapper;
import com.lyms.talkonlineweb.service.LymsAttentionService;
import com.lyms.talkonlineweb.service.LymsOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;

/**
 *
 * @author Administrator
 */
@Service
public class LymsOrderServiceImpl extends ServiceImpl<LymsOrderMapper, LymsOrder>
    implements LymsOrderService {

    @Autowired
    private LymsPatientMapper lymsPatientMapper;

    @Autowired
    private LymsTcardMapper lymsTcardMapper;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean handleOrder(String payOrderId, String mchOrderNo) {

        //处理业务逻辑
        LambdaQueryWrapper<LymsOrder> wrapper = new QueryWrapper().lambda();
        wrapper.eq(LymsOrder::getOrderno, mchOrderNo);
        wrapper.eq(LymsOrder::getPayorderid, payOrderId);
        LymsOrder lymsOrders = getOne(wrapper);
        if (lymsOrders != null) {
            LymsPatient patient = lymsPatientMapper.selectById(lymsOrders.getPid());
            if (patient == null)
            {
                return false;
            }

            Date createTime = new Date();
            for (int i = 0; i < lymsOrders.getCnt(); i++)
            {
                LymsTcard tcard = new LymsTcard();
                tcard.setPid(lymsOrders.getPid());
                tcard.setFid(1);
                tcard.setPrice(lymsOrders.getPrice());
                tcard.setCreatedtime(createTime);
                lymsTcardMapper.insert(tcard);
            }
            //更新患者的卡的数量
            lymsPatientMapper.updatePatientCcnt(lymsOrders.getCnt(),patient.getId());

            lymsOrders.setStatus(PayStatus.SUCCESS.getCode());
            lymsOrders.setUpdatedtime(new Date());
            updateById(lymsOrders);
            return true;
        }

        return false;
    }
}




