package com.lyms.talkonlineweb.task;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.lyms.talkonlineweb.domain.LymsChatgroup;
import com.lyms.talkonlineweb.domain.LymsTkrecord;
import com.lyms.talkonlineweb.service.LymsChatgroupService;
import com.lyms.talkonlineweb.service.LymsTkrecordService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 每天12点，自动结束患者聊天
 *  cfl
 */
@Component
@Log4j2
public class AutoEndChatTask {

    @Autowired
    private LymsTkrecordService lymsTkrecordService;
    @Autowired
    private LymsChatgroupService lymsChatgroupService;

    @Scheduled(cron = "0 59 23 * * ?")
    public void PushIllnessTypeData(){

        log.info("自动结束聊天任务开始>>>>>>>>>>auto end chart");
        LymsTkrecord tkrecord = new LymsTkrecord();
        tkrecord.setStat(0);
        List<LymsTkrecord> recordList = lymsTkrecordService.list(Wrappers.query(tkrecord));
        int size = recordList.size();

        log.info("自动结束聊天任务开始>>>>>>>>>>size = {}",size);

        if(size == 0){
            return;
        }

        for(int i = 0; i < size ; i++ ){
            LymsTkrecord lymsTkrecord = recordList.get(i);
            lymsTkrecord.setStat(1);
            lymsTkrecord.setUpdatedby(1);
            lymsTkrecord.setUpdatedtime(new Date());
            try{
                boolean b = lymsTkrecordService.updateById(lymsTkrecord);
            }catch (Exception e){
                log.error("自动结束聊天记录异常",e);
            }
        }

        List<String> hxGroupIds = recordList.stream().map(LymsTkrecord::getHxgroupid).distinct().collect(Collectors.toList());

        log.info("自动结束聊天任务需更新聊天组>>>>>>>>>>size = {}",hxGroupIds.size());

        List<LymsChatgroup>  hxGroupList = lymsChatgroupService.list(new QueryWrapper<LymsChatgroup>()
                .lambda().in(LymsChatgroup::getHxgroupid, hxGroupIds));

        for(int i = 0;i < hxGroupList.size(); i++){
            LymsChatgroup lymsChatgroup = hxGroupList.get(i);
            lymsChatgroup.setStat(1);
            try{
                lymsChatgroupService.updateById(lymsChatgroup);
            }catch (Exception e){
                log.error("自动结束聊天组异常",e);
            }

        }

    }



}
