package com.lyms.talkonlineweb.task;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.lyms.talkonlineweb.domain.LymsDict;
import com.lyms.talkonlineweb.domain.LymsDoctor;
import com.lyms.talkonlineweb.domain.LymsPushedart;
import com.lyms.talkonlineweb.service.*;
import com.lyms.talkonlineweb.util.HXService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.*;
import java.util.stream.Collectors;

/**
 * 医生状态
 */
@Component
@Log4j2
public class HXTask {
    @Autowired
    private LymsDoctorService lymsDoctorService;

    @Autowired
    private HXService hxService;

    @Autowired
    private LymsDictService lymsDictService;

    @Scheduled(initialDelay=10000, fixedRate=60000)
    public void checkDoctorStat(){
        Map<String,Object> param=new HashMap<>();

        param.put("vtype",999);
        List<LymsDict> dcLst=lymsDictService.listByMap(param);
        if (dcLst.size()>0 && dcLst.get(0).getCode()==1){
            List<LymsDoctor> dLst=lymsDoctorService.list();
            List<String> dlLst=dLst.stream().map(d->d.getDlogin()).collect(Collectors.toList());
            String[] usernames = new String[dlLst.size()];
            JSONObject jsonObject=hxService.chkUserStatus(dlLst.toArray(usernames));

            jsonObject.getJSONArray("data").stream().forEach(e->{
                UpdateWrapper<LymsDoctor> updateWrapper = new UpdateWrapper<>();
                LymsDoctor doctor=new LymsDoctor();
                String[] json=e.toString().replaceAll("\\{","").replaceAll("}","").split(":");
                if("online".equals(json[1].replaceAll("\"",""))){
                    doctor.setStat((byte) 1);
                }else {
                    doctor.setStat((byte)0);
                }
                updateWrapper.eq("dlogin",json[0].replaceAll("\"",""));
                boolean f=lymsDoctorService.update(doctor,updateWrapper);

            });
        }


    }
}
