package com.lyms.talkonlineweb.util;

import java.util.Arrays;
import java.util.List;

/**
 * @ProjectName: talkonline
 * @Package: com.lyms.talkonlineweb.util
 * @ClassName: Stringutil
 * @Author: lqy
 * @Description: 字符串处理类
 * @Date: 2021-09-07 17:50
 * @Version:
 */

public class StringUtil {

    public static boolean isEmpty(String str) {
        if (str == null || "".equals(str)) {
            return true;
        }
        return false;
    }

    public static boolean isNotEmpty(String str) {
        if (str != null && !"".equals(str)) {
            return true;
        }
        return false;
    }

    /**
     * //+表示1个或多个（如"3"或"225"），*表示0个或多个（[0-9]*）（如""或"1"或"22"），
     * ?表示0个或1个([0-9]?)(如""或"7")
     *
     * @param str
     * @return
     */
    public static boolean isNum(String str) {
        if (!isEmpty(str)) {
            return str.matches("[0-9]+");
        }
        return false;
    }

    /**
     * 生成一个唯一编号
     * @return
     */
    public static String getUniqueNo()
    {
        try
        {
            return String.format("%s%s%06d", "LYMS", DateUtil.getSeqString(), IdWorker.getFlowIdWorkerInstance().nextId());
        }catch (Exception e){

        }
        return "";
    }
    /**
     * 微信用生成一个唯一编号
     * @return
     */
    public static String getUniqueWeixNo()
    {
        try
        {
            return String.format("%s%s%06d", "WEIX", DateUtil.getSeqString(), IdWorker.getFlowIdWorkerInstance().nextId());
        }catch (Exception e){

        }
        return "";
    }
    /**
     * 字符串截取（向左截取）
     * @param str 原字符串
     * @param chr 截取到哪个字符（不包含参数字符）
     * @return String 截取后字符串
     */
    public static String leftTruncate(String str,char chr) {
        String result="";
        if('\0'!=chr && isNotEmpty(str.trim())){
            char [] a = str.toCharArray();
            for (int i = 0; i < a.length; i++) {
                if (a[i] == chr) {
                    result=str.substring(0,i);
                    break;
                }
            }
        }
        return result;
    }
    /**
     * 字符串截取（向右截取）
     * @param str 原字符串
     * @param chr 需要从哪个字符截取
     * @return String 截取后字符串
     */
    public static String rightTruncate(String str,char chr) {
        String result="";
        if('\0'!=chr && isNotEmpty(str.trim())){
            char [] a = str.toCharArray();
            for (int i = 0; i < a.length; i++) {
                if (a[i] == chr) {
                    result=str.substring(i,a.length);
                    break;
                }
            }
        }
        return result;
    }
    /**
     * 字符串截取（从1个字符到另一个字符）
     * @param str 原字符串
     * @param strat 开始字符截取
     * @param end 结束字符截取
     * @return String 截取后字符串
     */
    public static String strTruncate(String str,char strat,char end) {
        String result="";
        if('\0'!=strat &&'\0'!=end && isNotEmpty(str) && isNotEmpty(str.trim()) ){
            char [] a = str.toCharArray();
            int s=-1;
            int e=-1;
            for (int i = 0; i < a.length; i++) {
                if(s==-1) {
                    if (a[i] == strat) {
                        s = i;
                        continue;
                    }
                }else {
                    if (a[i] == end) {
                        e=i;
                        break;
                    }
                }
            }
            if(s!=-1&&e!=-1){
                result=str.substring(s,e+1);
            }
        }
        return result;
    }
}
